/* Generated from scheduler.scm by the CHICKEN compiler
   http://www.call-cc.org
   2017-12-14 21:06
   Version 5.0.0pre3 (chicken-5-pre-3) (rev 7837408d)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   compiled 2017-10-19 on yves.more-magic.net (Linux)
   command line: scheduler.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-type-file ./types.db -explicit-use -no-trace -output-file scheduler.c
   unit: scheduler
   uses: extras library
*/
#include "chicken.h"

#ifdef HAVE_ERRNO_H
# include <errno.h>
# define C_signal_interrupted_p     C_mk_bool(errno == EINTR)
#else
# define C_signal_interrupted_p     C_SCHEME_FALSE
#endif

#ifdef _WIN32
/* TODO: Winsock select() only works for sockets */
# include <winsock2.h>
/* Beware: winsock2.h must come BEFORE windows.h */
# define C_msleep(n)   (Sleep((DWORD)C_num_to_uint64(n)), C_SCHEME_TRUE)
#else
# include <sys/time.h>
static C_word C_msleep(C_word ms);
C_word C_msleep(C_word ms) {
#ifdef __CYGWIN__
  if(usleep((useconds_t)C_num_to_uint64(ms) * 1000) == -1) return C_SCHEME_FALSE;
#else
  struct timespec ts;
  C_word ab[C_SIZEOF_FIX_BIGNUM], *a = ab,
         sec = C_s_a_u_i_integer_quotient(&a, 2, ms, C_fix(1000)),
         msec = C_s_a_u_i_integer_remainder(&a, 2, ms, C_fix(1000));
  ts.tv_sec = (time_t)C_num_to_uint64(sec);
  ts.tv_nsec = (long)C_unfix(msec) * 1000000;
  
  if(nanosleep(&ts, NULL) == -1) return C_SCHEME_FALSE;
#endif
  return C_SCHEME_TRUE;
}
#endif

#ifdef NO_POSIX_POLL

/* Shouldn't we include <sys/select.h> here? */
static fd_set C_fdset_input, C_fdset_output;

#define C_fd_input_ready(fd,pos)  C_mk_bool(FD_ISSET(C_unfix(fd), &C_fdset_input))
#define C_fd_output_ready(fd,pos)  C_mk_bool(FD_ISSET(C_unfix(fd), &C_fdset_output))

inline static int C_ready_fds_timeout(int to, unsigned int tm) {
  struct timeval timeout;
  timeout.tv_sec = tm / 1000;
  timeout.tv_usec = fmod(tm, 1000) * 1000;
  /* we use FD_SETSIZE, but really should use max fd */
  return select(FD_SETSIZE, &C_fdset_input, &C_fdset_output, NULL, to ? &timeout : NULL);
}

inline static void C_prepare_fdset(int length) {
  FD_ZERO(&C_fdset_input);
  FD_ZERO(&C_fdset_output);
}

inline static void C_fdset_add(int fd, int input, int output) {
  if (input) FD_SET(fd, &C_fdset_input);
  if (output) FD_SET(fd, &C_fdset_output);
}

#else
#  include <poll.h>
#  include <assert.h>

static int C_fdset_nfds;
static struct pollfd *C_fdset_set = NULL;

inline static int C_fd_ready(int fd, int pos, int what) {
  assert(fd == C_fdset_set[pos].fd); /* Must match position in ##sys#fd-list! */
  return(C_fdset_set[pos].revents & what);
}

#define C_fd_input_ready(fd,pos)  C_mk_bool(C_fd_ready(C_unfix(fd), C_unfix(pos),POLLIN|POLLERR|POLLHUP|POLLNVAL))
#define C_fd_output_ready(fd,pos)  C_mk_bool(C_fd_ready(C_unfix(fd), C_unfix(pos),POLLOUT|POLLERR|POLLHUP|POLLNVAL))

inline static int C_ready_fds_timeout(int to, unsigned int tm) {
  return poll(C_fdset_set, C_fdset_nfds, to ? tm : -1);
}

inline static void C_prepare_fdset(int length) {
  /* TODO: Only realloc when needed? */
  C_fdset_set = realloc(C_fdset_set, sizeof(struct pollfd) * length);
  if (C_fdset_set == NULL)
    C_halt(C_SCHEME_FALSE); /* Ugly: no message */
  C_fdset_nfds = 0;
}

/* This *must* be called in order, so position will match ##sys#fd-list */
inline static void C_fdset_add(int fd, int input, int output) {
  C_fdset_set[C_fdset_nfds].events = ((input ? POLLIN : 0) | (output ? POLLOUT : 0));
  C_fdset_set[C_fdset_nfds++].fd = fd;
}
#endif

static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externimport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[71];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,49,52,56,41,0,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,18),40,100,101,108,113,32,120,49,52,53,32,108,115,116,49,52,54,41,0,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,7),40,108,111,111,112,50,41,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,26),40,108,111,111,112,50,32,116,104,114,101,97,100,115,53,50,55,32,107,101,101,112,53,50,56,41,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,25),40,108,111,111,112,32,110,53,49,51,32,112,111,115,53,49,52,32,108,115,116,53,49,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,11),40,103,51,56,54,32,116,51,57,53,41,0,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,56,53,32,103,51,57,50,52,50,54,41,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,51,55,57,41,0,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,49,55,49,41,0,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,7),40,108,111,111,112,49,41,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,112,114,105,109,111,114,100,105,97,108,41};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,114,101,97,100,121,45,113,117,101,117,101,41,0,0,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,97,100,100,45,116,111,45,114,101,97,100,121,45,113,117,101,117,101,32,116,104,114,101,97,100,50,48,54,41,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,7),40,97,49,50,52,48,41,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,50,51,55,32,115,116,97,116,101,50,51,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,112,114,101,118,50,52,55,41,0,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,114,101,109,111,118,101,45,102,114,111,109,45,116,105,109,101,111,117,116,45,108,105,115,116,32,116,50,52,52,41,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,116,108,50,53,53,32,112,114,101,118,50,53,54,41,0,0,0,0};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,116,105,109,101,111,117,116,33,32,116,50,53,50,32,116,109,50,53,51,41,0,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,116,101,114,109,105,110,97,116,105,111,110,33,32,116,50,54,53,32,116,50,50,54,54,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,12),40,103,51,50,56,32,116,50,51,51,55,41,0,0,0,0};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,50,55,32,103,51,51,52,51,51,57,41,0,0,0,0,0,0};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,57,51,32,103,51,48,48,51,48,53,41,0,0,0,0,0,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,55,57,32,103,50,56,54,51,49,51,41,0,0,0,0,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,116,104,114,101,97,100,45,107,105,108,108,33,32,116,51,49,55,32,115,51,49,56,41,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,97,115,105,99,45,117,110,98,108,111,99,107,33,32,116,51,53,50,41,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,7),40,97,49,54,51,55,41,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,51,53,54,41};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,52,56,51,41,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,105,47,111,33,32,116,52,55,57,32,102,100,52,56,48,32,105,47,111,52,56,49,41,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,53,54,48,41,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,99,108,101,97,114,45,105,47,111,45,115,116,97,116,101,45,102,111,114,45,116,104,114,101,97,100,33,32,116,53,53,55,41};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,39),40,102,95,50,52,51,48,32,113,117,101,117,101,53,56,52,32,97,114,103,53,56,53,32,118,97,108,53,56,54,32,105,110,105,116,53,56,55,41,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,53,57,56,41,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,54,48,49,32,105,54,48,50,41};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,53,57,52,32,105,53,57,53,41};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,53,57,49,32,105,53,57,50,41};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,97,108,108,45,116,104,114,101,97,100,115,32,46,32,116,109,112,53,55,52,53,55,53,41,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,101,116,99,104,45,97,110,100,45,99,108,101,97,114,45,116,104,114,101,97,100,115,41,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,115,116,111,114,101,45,116,104,114,101,97,100,115,32,118,101,99,54,49,51,41,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,116,104,114,101,97,100,45,117,110,98,108,111,99,107,33,32,116,54,49,56,41,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,50,53,49,55,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,17),40,97,50,53,48,53,32,114,101,116,117,114,110,54,50,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,116,104,114,101,97,100,45,115,108,101,101,112,33,32,116,109,54,50,53,41,0,0,0,0,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,108,101,101,112,45,104,111,111,107,32,110,54,51,48,41,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,14),40,115,117,115,112,101,110,100,32,116,54,53,53,41,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,11),40,103,54,51,56,32,97,54,54,48,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,55,48,32,103,54,55,55,54,56,49,41,0,0,0,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,11),40,103,54,52,56,32,97,54,54,55,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,52,55,32,103,54,53,52,54,56,53,41,0,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,51,55,32,103,54,52,52,54,54,50,41,0,0,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,54,51,50,41,0,0,0,0,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


/* from g497 */
C_regparm static C_word C_fcall stub501(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_truep(C_a0);
unsigned int t1=(unsigned int )C_num_to_unsigned_int(C_a1);
C_r=C_fix((C_word)C_ready_fds_timeout(t0,t1));
return C_r;}

/* from g429 */
C_regparm static C_word C_fcall stub434(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_truep(C_a1);
int t2=(int )C_truep(C_a2);
C_fdset_add(t0,t1,t2);
return C_r;}

/* from g372 */
C_regparm static C_word C_fcall stub375(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_prepare_fdset(t0);
return C_r;}

C_noret_decl(f_2111)
static void C_ccall f_2111(C_word c,C_word *av) C_noret;
C_noret_decl(f_2439)
static void C_ccall f_2439(C_word c,C_word *av) C_noret;
C_noret_decl(f_2349)
static void C_ccall f_2349(C_word c,C_word *av) C_noret;
C_noret_decl(f_2430)
static void C_ccall f_2430(C_word c,C_word *av) C_noret;
C_noret_decl(f_1465)
static void C_fcall f_1465(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2108)
static void C_ccall f_2108(C_word c,C_word *av) C_noret;
C_noret_decl(f_2105)
static void C_ccall f_2105(C_word c,C_word *av) C_noret;
C_noret_decl(f_1602)
static void C_ccall f_1602(C_word c,C_word *av) C_noret;
C_noret_decl(f_1223)
static void C_ccall f_1223(C_word c,C_word *av) C_noret;
C_noret_decl(f_2355)
static void C_fcall f_2355(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2400)
static void C_ccall f_2400(C_word c,C_word *av) C_noret;
C_noret_decl(f_2114)
static void C_ccall f_2114(C_word c,C_word *av) C_noret;
C_noret_decl(f_1614)
static void C_ccall f_1614(C_word c,C_word *av) C_noret;
C_noret_decl(f_1227)
static void C_ccall f_1227(C_word c,C_word *av) C_noret;
C_noret_decl(f_1498)
static void C_fcall f_1498(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2127)
static void C_ccall f_2127(C_word c,C_word *av) C_noret;
C_noret_decl(f_2124)
static void C_ccall f_2124(C_word c,C_word *av) C_noret;
C_noret_decl(f_2622)
static void C_fcall f_2622(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1618)
static void C_ccall f_1618(C_word c,C_word *av) C_noret;
C_noret_decl(f_1492)
static void C_ccall f_1492(C_word c,C_word *av) C_noret;
C_noret_decl(f_1642)
static void C_ccall f_1642(C_word c,C_word *av) C_noret;
C_noret_decl(f_2449)
static void C_ccall f_2449(C_word c,C_word *av) C_noret;
C_noret_decl(f_1029)
static void C_ccall f_1029(C_word c,C_word *av) C_noret;
C_noret_decl(f_1963)
static void C_ccall f_1963(C_word c,C_word *av) C_noret;
C_noret_decl(f_1965)
static void C_fcall f_1965(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_1624)
static void C_ccall f_1624(C_word c,C_word *av) C_noret;
C_noret_decl(f_2283)
static void C_ccall f_2283(C_word c,C_word *av) C_noret;
C_noret_decl(f_1241)
static void C_ccall f_1241(C_word c,C_word *av) C_noret;
C_noret_decl(C_scheduler_toplevel)
C_externexport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_1248)
static void C_ccall f_1248(C_word c,C_word *av) C_noret;
C_noret_decl(f_1439)
static void C_fcall f_1439(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1765)
static void C_fcall f_1765(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1638)
static void C_ccall f_1638(C_word c,C_word *av) C_noret;
C_noret_decl(f_1052)
static void C_ccall f_1052(C_word c,C_word *av) C_noret;
C_noret_decl(f_1449)
static void C_ccall f_1449(C_word c,C_word *av) C_noret;
C_noret_decl(f_1996)
static void C_fcall f_1996(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2130)
static void C_ccall f_2130(C_word c,C_word *av) C_noret;
C_noret_decl(f_1775)
static void C_ccall f_1775(C_word c,C_word *av) C_noret;
C_noret_decl(f_2070)
static void C_ccall f_2070(C_word c,C_word *av) C_noret;
C_noret_decl(f_1064)
static void C_ccall f_1064(C_word c,C_word *av) C_noret;
C_noret_decl(f_1032)
static void C_ccall f_1032(C_word c,C_word *av) C_noret;
C_noret_decl(f_1930)
static void C_ccall f_1930(C_word c,C_word *av) C_noret;
C_noret_decl(f_1939)
static void C_ccall f_1939(C_word c,C_word *av) C_noret;
C_noret_decl(f_2566)
static void C_ccall f_2566(C_word c,C_word *av) C_noret;
C_noret_decl(f_2567)
static void C_fcall f_2567(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1790)
static void C_ccall f_1790(C_word c,C_word *av) C_noret;
C_noret_decl(f_1254)
static C_word C_fcall f_1254(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_1423)
static void C_ccall f_1423(C_word c,C_word *av) C_noret;
C_noret_decl(f_2099)
static void C_ccall f_2099(C_word c,C_word *av) C_noret;
C_noret_decl(f_2093)
static void C_ccall f_2093(C_word c,C_word *av) C_noret;
C_noret_decl(f_1046)
static void C_fcall f_1046(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2579)
static void C_fcall f_2579(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2578)
static void C_ccall f_2578(C_word c,C_word *av) C_noret;
C_noret_decl(f_2588)
static void C_fcall f_2588(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2208)
static void C_fcall f_2208(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2598)
static void C_ccall f_2598(C_word c,C_word *av) C_noret;
C_noret_decl(f_837)
static void C_ccall f_837(C_word c,C_word *av) C_noret;
C_noret_decl(f_1751)
static void C_ccall f_1751(C_word c,C_word *av) C_noret;
C_noret_decl(f_1579)
static void C_ccall f_1579(C_word c,C_word *av) C_noret;
C_noret_decl(f_2224)
static void C_fcall f_2224(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2222)
static void C_ccall f_2222(C_word c,C_word *av) C_noret;
C_noret_decl(f_1596)
static void C_ccall f_1596(C_word c,C_word *av) C_noret;
C_noret_decl(f_840)
static void C_ccall f_840(C_word c,C_word *av) C_noret;
C_noret_decl(f_842)
static void C_fcall f_842(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_848)
static void C_fcall f_848(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2246)
static void C_ccall f_2246(C_word c,C_word *av) C_noret;
C_noret_decl(f_2500)
static void C_ccall f_2500(C_word c,C_word *av) C_noret;
C_noret_decl(f_1718)
static void C_ccall f_1718(C_word c,C_word *av) C_noret;
C_noret_decl(f_1358)
static void C_ccall f_1358(C_word c,C_word *av) C_noret;
C_noret_decl(f_875)
static void C_ccall f_875(C_word c,C_word *av) C_noret;
C_noret_decl(f_2269)
static void C_ccall f_2269(C_word c,C_word *av) C_noret;
C_noret_decl(f_916)
static void C_ccall f_916(C_word c,C_word *av) C_noret;
C_noret_decl(f_2506)
static void C_ccall f_2506(C_word c,C_word *av) C_noret;
C_noret_decl(f_2031)
static void C_ccall f_2031(C_word c,C_word *av) C_noret;
C_noret_decl(f_2513)
static void C_ccall f_2513(C_word c,C_word *av) C_noret;
C_noret_decl(f_2518)
static void C_ccall f_2518(C_word c,C_word *av) C_noret;
C_noret_decl(f_885)
static void C_ccall f_885(C_word c,C_word *av) C_noret;
C_noret_decl(f_2524)
static void C_ccall f_2524(C_word c,C_word *av) C_noret;
C_noret_decl(f_1310)
static void C_fcall f_1310(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2538)
static void C_ccall f_2538(C_word c,C_word *av) C_noret;
C_noret_decl(f_1108)
static void C_ccall f_1108(C_word c,C_word *av) C_noret;
C_noret_decl(f_2067)
static void C_ccall f_2067(C_word c,C_word *av) C_noret;
C_noret_decl(f_1320)
static void C_fcall f_1320(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1859)
static void C_ccall f_1859(C_word c,C_word *av) C_noret;
C_noret_decl(f_1119)
static void C_ccall f_1119(C_word c,C_word *av) C_noret;
C_noret_decl(f_2541)
static void C_ccall f_2541(C_word c,C_word *av) C_noret;
C_noret_decl(f_1851)
static void C_ccall f_1851(C_word c,C_word *av) C_noret;
C_noret_decl(f_921)
static void C_fcall f_921(C_word t0,C_word t1) C_noret;
C_noret_decl(f_925)
static void C_ccall f_925(C_word c,C_word *av) C_noret;
C_noret_decl(f_928)
static void C_ccall f_928(C_word c,C_word *av) C_noret;
C_noret_decl(f_1122)
static void C_ccall f_1122(C_word c,C_word *av) C_noret;
C_noret_decl(f_1863)
static void C_ccall f_1863(C_word c,C_word *av) C_noret;
C_noret_decl(f_1501)
static void C_ccall f_1501(C_word c,C_word *av) C_noret;
C_noret_decl(f_1504)
static void C_ccall f_1504(C_word c,C_word *av) C_noret;
C_noret_decl(f_2373)
static void C_ccall f_2373(C_word c,C_word *av) C_noret;
C_noret_decl(f_1724)
static void C_ccall f_1724(C_word c,C_word *av) C_noret;
C_noret_decl(f_994)
static void C_fcall f_994(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1727)
static void C_ccall f_1727(C_word c,C_word *av) C_noret;
C_noret_decl(f_2478)
static void C_fcall f_2478(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1733)
static void C_ccall f_1733(C_word c,C_word *av) C_noret;
C_noret_decl(f_2382)
static void C_fcall f_2382(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_1730)
static void C_ccall f_1730(C_word c,C_word *av) C_noret;
C_noret_decl(f_1558)
static void C_ccall f_1558(C_word c,C_word *av) C_noret;
C_noret_decl(f_1739)
static void C_ccall f_1739(C_word c,C_word *av) C_noret;
C_noret_decl(f_1736)
static void C_ccall f_1736(C_word c,C_word *av) C_noret;
C_noret_decl(f_1522)
static void C_ccall f_1522(C_word c,C_word *av) C_noret;
C_noret_decl(f_1529)
static void C_fcall f_1529(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2468)
static void C_ccall f_2468(C_word c,C_word *av) C_noret;
C_noret_decl(f_2177)
static void C_ccall f_2177(C_word c,C_word *av) C_noret;
C_noret_decl(f_1548)
static void C_fcall f_1548(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_933)
static void C_fcall f_933(C_word t0,C_word t1) C_noret;
C_noret_decl(f_937)
static void C_fcall f_937(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2484)
static void C_ccall f_2484(C_word c,C_word *av) C_noret;
C_noret_decl(f_1299)
static void C_ccall f_1299(C_word c,C_word *av) C_noret;
C_noret_decl(f_2481)
static void C_ccall f_2481(C_word c,C_word *av) C_noret;
C_noret_decl(f_2612)
static void C_ccall f_2612(C_word c,C_word *av) C_noret;
C_noret_decl(f_2617)
static void C_ccall f_2617(C_word c,C_word *av) C_noret;
C_noret_decl(f_1839)
static void C_ccall f_1839(C_word c,C_word *av) C_noret;
C_noret_decl(f_1836)
static void C_ccall f_1836(C_word c,C_word *av) C_noret;
C_noret_decl(f_1662)
static void C_fcall f_1662(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1830)
static void C_ccall f_1830(C_word c,C_word *av) C_noret;
C_noret_decl(f_1833)
static void C_ccall f_1833(C_word c,C_word *av) C_noret;
C_noret_decl(f_1848)
static void C_ccall f_1848(C_word c,C_word *av) C_noret;
C_noret_decl(f_2632)
static void C_ccall f_2632(C_word c,C_word *av) C_noret;
C_noret_decl(f_1673)
static void C_fcall f_1673(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1845)
static void C_ccall f_1845(C_word c,C_word *av) C_noret;
C_noret_decl(f_1842)
static void C_ccall f_1842(C_word c,C_word *av) C_noret;
C_noret_decl(f_1289)
static void C_ccall f_1289(C_word c,C_word *av) C_noret;
C_noret_decl(f_2301)
static void C_fcall f_2301(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2645)
static void C_fcall f_2645(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2319)
static void C_ccall f_2319(C_word c,C_word *av) C_noret;
C_noret_decl(f_1475)
static void C_ccall f_1475(C_word c,C_word *av) C_noret;
C_noret_decl(f_1488)
static void C_ccall f_1488(C_word c,C_word *av) C_noret;
C_noret_decl(f_2655)
static void C_ccall f_2655(C_word c,C_word *av) C_noret;
C_noret_decl(f_1824)
static void C_ccall f_1824(C_word c,C_word *av) C_noret;
C_noret_decl(f_2328)
static void C_fcall f_2328(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_1878)
static void C_fcall f_1878(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2102)
static void C_ccall f_2102(C_word c,C_word *av) C_noret;
C_noret_decl(f_1072)
static void C_ccall f_1072(C_word c,C_word *av) C_noret;

C_noret_decl(trf_1465)
static void C_ccall trf_1465(C_word c,C_word *av) C_noret;
static void C_ccall trf_1465(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1465(t0,t1,t2);}

C_noret_decl(trf_2355)
static void C_ccall trf_2355(C_word c,C_word *av) C_noret;
static void C_ccall trf_2355(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2355(t0,t1,t2);}

C_noret_decl(trf_1498)
static void C_ccall trf_1498(C_word c,C_word *av) C_noret;
static void C_ccall trf_1498(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1498(t0,t1);}

C_noret_decl(trf_2622)
static void C_ccall trf_2622(C_word c,C_word *av) C_noret;
static void C_ccall trf_2622(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2622(t0,t1,t2);}

C_noret_decl(trf_1965)
static void C_ccall trf_1965(C_word c,C_word *av) C_noret;
static void C_ccall trf_1965(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_1965(t0,t1,t2,t3,t4);}

C_noret_decl(trf_1439)
static void C_ccall trf_1439(C_word c,C_word *av) C_noret;
static void C_ccall trf_1439(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1439(t0,t1,t2);}

C_noret_decl(trf_1765)
static void C_ccall trf_1765(C_word c,C_word *av) C_noret;
static void C_ccall trf_1765(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1765(t0,t1,t2);}

C_noret_decl(trf_1996)
static void C_ccall trf_1996(C_word c,C_word *av) C_noret;
static void C_ccall trf_1996(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_1996(t0,t1,t2,t3);}

C_noret_decl(trf_2567)
static void C_ccall trf_2567(C_word c,C_word *av) C_noret;
static void C_ccall trf_2567(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2567(t0,t1,t2);}

C_noret_decl(trf_1046)
static void C_ccall trf_1046(C_word c,C_word *av) C_noret;
static void C_ccall trf_1046(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1046(t0,t1);}

C_noret_decl(trf_2579)
static void C_ccall trf_2579(C_word c,C_word *av) C_noret;
static void C_ccall trf_2579(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2579(t0,t1,t2);}

C_noret_decl(trf_2588)
static void C_ccall trf_2588(C_word c,C_word *av) C_noret;
static void C_ccall trf_2588(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2588(t0,t1,t2);}

C_noret_decl(trf_2208)
static void C_ccall trf_2208(C_word c,C_word *av) C_noret;
static void C_ccall trf_2208(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2208(t0,t1);}

C_noret_decl(trf_2224)
static void C_ccall trf_2224(C_word c,C_word *av) C_noret;
static void C_ccall trf_2224(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2224(t0,t1,t2);}

C_noret_decl(trf_842)
static void C_ccall trf_842(C_word c,C_word *av) C_noret;
static void C_ccall trf_842(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_842(t0,t1,t2);}

C_noret_decl(trf_848)
static void C_ccall trf_848(C_word c,C_word *av) C_noret;
static void C_ccall trf_848(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_848(t0,t1,t2);}

C_noret_decl(trf_1310)
static void C_ccall trf_1310(C_word c,C_word *av) C_noret;
static void C_ccall trf_1310(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_1310(t0,t1,t2,t3);}

C_noret_decl(trf_1320)
static void C_ccall trf_1320(C_word c,C_word *av) C_noret;
static void C_ccall trf_1320(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1320(t0,t1);}

C_noret_decl(trf_921)
static void C_ccall trf_921(C_word c,C_word *av) C_noret;
static void C_ccall trf_921(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_921(t0,t1);}

C_noret_decl(trf_994)
static void C_ccall trf_994(C_word c,C_word *av) C_noret;
static void C_ccall trf_994(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_994(t0,t1,t2);}

C_noret_decl(trf_2478)
static void C_ccall trf_2478(C_word c,C_word *av) C_noret;
static void C_ccall trf_2478(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2478(t0,t1);}

C_noret_decl(trf_2382)
static void C_ccall trf_2382(C_word c,C_word *av) C_noret;
static void C_ccall trf_2382(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2382(t0,t1,t2,t3);}

C_noret_decl(trf_1529)
static void C_ccall trf_1529(C_word c,C_word *av) C_noret;
static void C_ccall trf_1529(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1529(t0,t1,t2);}

C_noret_decl(trf_1548)
static void C_ccall trf_1548(C_word c,C_word *av) C_noret;
static void C_ccall trf_1548(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1548(t0,t1,t2);}

C_noret_decl(trf_933)
static void C_ccall trf_933(C_word c,C_word *av) C_noret;
static void C_ccall trf_933(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_933(t0,t1);}

C_noret_decl(trf_937)
static void C_ccall trf_937(C_word c,C_word *av) C_noret;
static void C_ccall trf_937(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_937(t0,t1);}

C_noret_decl(trf_1662)
static void C_ccall trf_1662(C_word c,C_word *av) C_noret;
static void C_ccall trf_1662(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1662(t0,t1,t2);}

C_noret_decl(trf_1673)
static void C_ccall trf_1673(C_word c,C_word *av) C_noret;
static void C_ccall trf_1673(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1673(t0,t1,t2);}

C_noret_decl(trf_2301)
static void C_ccall trf_2301(C_word c,C_word *av) C_noret;
static void C_ccall trf_2301(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2301(t0,t1,t2,t3);}

C_noret_decl(trf_2645)
static void C_ccall trf_2645(C_word c,C_word *av) C_noret;
static void C_ccall trf_2645(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2645(t0,t1,t2);}

C_noret_decl(trf_2328)
static void C_ccall trf_2328(C_word c,C_word *av) C_noret;
static void C_ccall trf_2328(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2328(t0,t1,t2,t3);}

C_noret_decl(trf_1878)
static void C_ccall trf_1878(C_word c,C_word *av) C_noret;
static void C_ccall trf_1878(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1878(t0,t1,t2);}

/* k2109 in k2106 in k2103 in k2100 in k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2111,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2114,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:503: get-output-string */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fetch-and-clear-threads in k838 in k835 */
static void C_ccall f_2439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_2439,2,av);}
a=C_alloc(5);
t2=C_a_i_vector4(&a,4,lf[16],lf[17],*((C_word*)lf[14]+1),lf[13]);
t3=lf[16] /* ready-queue-head */ =C_SCHEME_END_OF_LIST;;
t4=lf[17] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t5=C_set_block_item(lf[14] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t6=lf[13] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k2347 in loop in loop in all-threads in k838 in k835 */
static void C_ccall f_2349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2349,2,av);}
/* scheduler.scm:546: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2328(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* f_2430 in all-threads in k838 in k835 */
static void C_ccall f_2430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2430,6,av);}
a=C_alloc(3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* for-each-loop279 in thread-kill! in k838 in k835 */
static void C_fcall f_1465(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,3)))){
C_save_and_reclaim_args((void *)trf_1465,3,t0,t1,t2);}
a=C_alloc(15);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1475,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=C_i_set_i_slot(t6,C_fix(2),C_SCHEME_FALSE);
t8=C_i_set_i_slot(t6,C_fix(4),C_SCHEME_TRUE);
t9=C_i_set_i_slot(t6,C_fix(5),C_SCHEME_FALSE);
t10=C_slot(t6,C_fix(3));
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1423,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t10))){
t12=t5;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_i_set_i_slot(t6,C_fix(3),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1439,a[2]=t13,a[3]=((C_word)li23),tmp=(C_word)a,a+=4,tmp));
t15=((C_word*)t13)[1];
f_1439(t15,t11,t10);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2106 in k2103 in k2100 in k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2108,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2111,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:503: ##sys#write-char-0 */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k2103 in k2100 in k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2105,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2108,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:503: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* ##sys#thread-basic-unblock! in k838 in k835 */
static void C_ccall f_1602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1602,3,av);}
t3=C_i_set_i_slot(t2,C_fix(11),C_SCHEME_FALSE);
t4=C_i_set_i_slot(t2,C_fix(4),C_SCHEME_FALSE);
/* scheduler.scm:372: ##sys#add-to-ready-queue */
t5=*((C_word*)lf[41]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* ##sys#interrupt-hook in k838 in k835 */
static void C_ccall f_1223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_1223,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1227,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=C_eqp(t2,C_fix(255));
if(C_truep(t5)){
t6=*((C_word*)lf[3]+1);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1241,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word)li14),tmp=(C_word)a,a+=6,tmp);
t8=C_i_setslot(*((C_word*)lf[3]+1),C_fix(1),t7);
/* scheduler.scm:285: ##sys#schedule */
t9=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* scheduler.scm:286: oldhook */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* loop in loop in loop in all-threads in k838 in k835 */
static void C_fcall f_2355(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_2355,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=((C_word*)t0)[2];
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2373,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_slot(t2,C_fix(1));
/* scheduler.scm:550: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k2398 in loop in loop in loop in all-threads in k838 in k835 */
static void C_ccall f_2400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2400,2,av);}
/* scheduler.scm:553: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2382(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k2112 in k2109 in k2106 in k2103 in k2100 in k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2114,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#default-exception-handler in k838 in k835 */
static void C_ccall f_1614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_1614,3,av);}
a=C_alloc(10);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1618,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_mk_bool(C_abort_on_thread_exceptions))){
t5=*((C_word*)lf[42]+1);
t6=C_slot(*((C_word*)lf[42]+1),C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1638,a[2]=t7,a[3]=t2,a[4]=((C_word)li27),tmp=(C_word)a,a+=5,tmp);
t9=C_i_setslot(*((C_word*)lf[42]+1),C_fix(1),t8);
/* scheduler.scm:386: ##sys#thread-unblock! */
t10=*((C_word*)lf[43]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t4;
av2[2]=*((C_word*)lf[42]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
/* scheduler.scm:388: ##sys#show-exception-warning */
t5=*((C_word*)lf[56]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[57];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* k1225 in interrupt-hook in k838 in k835 */
static void C_ccall f_1227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1227,2,av);}
/* scheduler.scm:286: oldhook */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_fcall f_1498(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1498,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1501,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:352: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[20]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2125 in k2122 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2127,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2130,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:507: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2122 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2124,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2127,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_slot(((C_word*)t0)[6],C_fix(4)))){
/* scheduler.scm:506: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[20]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2127(2,av2);}}}
else{
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],((C_word*)t0)[5]);
/* scheduler.scm:509: loop2 */
t4=((C_word*)((C_word*)t0)[3])[1];
f_1996(t4,((C_word*)t0)[4],t2,t3);}}

/* for-each-loop647 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_fcall f_2622(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2622,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2632,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:624: g648 */
t5=((C_word*)t0)[3];
f_2579(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1616 in default-exception-handler in k838 in k835 */
static void C_ccall f_1618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_1618,2,av);}
a=C_alloc(3);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(7),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1624,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:390: ##sys#thread-kill! */
t4=*((C_word*)lf[51]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[50];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_1492,2,av);}
a=C_alloc(9);
t2=C_slot(((C_word*)t0)[2],C_fix(11));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1498,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_structurep(t3,lf[52]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1579,a[2]=t4,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t3,C_fix(2));
/* scheduler.scm:349: delq */
f_842(t5,((C_word*)t0)[2],t6);}
else{
if(C_truep(C_i_structurep(t3,lf[53]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1596,a[2]=t4,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t3,C_fix(12));
/* scheduler.scm:351: delq */
f_842(t5,((C_word*)t0)[2],t6);}
else{
t5=C_SCHEME_UNDEFINED;
t6=t4;
f_1498(t6,t5);}}}

/* k1640 in a1637 in default-exception-handler in k838 in k835 */
static void C_ccall f_1642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1642,2,av);}
/* scheduler.scm:385: ptx */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#restore-threads in k838 in k835 */
static void C_ccall f_2449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2449,3,av);}
t3=C_slot(t2,C_fix(0));
t4=C_mutate(&lf[16] /* (set! ready-queue-head ...) */,t3);
t5=C_slot(t2,C_fix(1));
t6=C_mutate(&lf[17] /* (set! ready-queue-tail ...) */,t5);
t7=C_slot(t2,C_fix(2));
t8=C_mutate((C_word*)lf[14]+1 /* (set! ##sys#fd-list ...) */,t7);
t9=C_slot(t2,C_fix(3));
t10=C_mutate(&lf[13] /* (set! ##sys#timeout-list ...) */,t9);
t11=t1;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}

/* k1027 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1029,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1032,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:201: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1961 in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1963,2,av);}
t2=C_mutate((C_word*)lf[14]+1 /* (set! ##sys#fd-list ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1965(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(33,0,4)))){
C_save_and_reclaim_args((void *)trf_1965,5,t0,t1,t2,t3,t4);}
a=C_alloc(33);
t5=C_u_i_zerop(t2);
t6=(C_truep(t5)?t5:C_i_nullp(t4));
if(C_truep(t6)){
t7=t4;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_u_i_car(t4);
t8=t7;
t9=C_u_i_car(t8);
t10=t9;
t11=C_fd_input_ready(t10,t3);
t12=C_fd_output_ready(t10,t3);
t13=(C_truep(t11)?t11:t12);
if(C_truep(t13)){
t14=C_slot(t8,C_fix(1));
t15=C_SCHEME_UNDEFINED;
t16=(*a=C_VECTOR_TYPE|1,a[1]=t15,tmp=(C_word)a,a+=2,tmp);
t17=C_set_block_item(t16,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_1996,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=((C_word*)t0)[2],a[6]=t10,a[7]=t16,a[8]=t11,a[9]=t12,a[10]=((C_word)li3),tmp=(C_word)a,a+=11,tmp));
t18=((C_word*)t16)[1];
f_1996(t18,t1,t14,C_SCHEME_END_OF_LIST);}
else{
t14=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2177,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t15=t3;
t16=C_s_a_i_plus(&a,2,t15,C_fix(1));
t17=C_slot(t4,C_fix(1));
/* scheduler.scm:510: loop */
t19=t14;
t20=t2;
t21=t16;
t22=t17;
t1=t19;
t2=t20;
t3=t21;
t4=t22;
goto loop;}}}

/* k1622 in k1616 in default-exception-handler in k838 in k835 */
static void C_ccall f_1624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1624,2,av);}
/* scheduler.scm:391: ##sys#schedule */
t2=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#all-threads in k838 in k835 */
static void C_ccall f_2283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +10,c,6)))){
C_save_and_reclaim((void*)f_2283,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+10);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2430,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp):C_u_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_slot(t2,C_fix(1)));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_u_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_slot(t7,C_fix(1)));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2301,a[2]=t13,a[3]=t5,a[4]=((C_word)li37),tmp=(C_word)a,a+=5,tmp));
t15=((C_word*)t13)[1];
f_2301(t15,t1,lf[16],t9);}

/* a1240 in interrupt-hook in k838 in k835 */
static void C_ccall f_1241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1241,2,av);}
/* scheduler.scm:284: oldhook */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_scheduler_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("scheduler"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_scheduler_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(396))){
C_save(t1);
C_rereclaim2(396*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,71);
lf[0]=C_h_intern(&lf[0],9,"scheduler");
lf[2]=C_h_intern(&lf[2],12,"\003sysschedule");
lf[3]=C_h_intern(&lf[3],18,"\003syscurrent-thread");
lf[4]=C_h_intern(&lf[4],17,"\003sysdynamic-winds");
lf[5]=C_h_intern(&lf[5],18,"\003sysstandard-input");
lf[6]=C_h_intern(&lf[6],19,"\003sysstandard-output");
lf[7]=C_h_intern(&lf[7],18,"\003sysstandard-error");
lf[8]=C_h_intern(&lf[8],29,"\003syscurrent-exception-handler");
lf[9]=C_h_intern(&lf[9],28,"\003syscurrent-parameter-vector");
lf[10]=C_h_intern(&lf[10],5,"ready");
lf[11]=C_h_intern(&lf[11],7,"running");
lf[12]=C_h_intern(&lf[12],21,"\003syscall-with-cthulhu");
lf[14]=C_h_intern(&lf[14],11,"\003sysfd-list");
lf[15]=C_decode_literal(C_heaptop,"\376B\000\000\010deadlock");
lf[18]=C_h_intern(&lf[18],20,"\003sysforce-primordial");
lf[19]=C_h_intern(&lf[19],25,"\003systhread-basic-unblock!");
lf[20]=C_h_intern(&lf[20],28,"\003sysremove-from-timeout-list");
lf[21]=C_h_intern(&lf[21],6,"\000input");
lf[22]=C_h_intern(&lf[22],7,"\000output");
lf[23]=C_h_intern(&lf[23],4,"\000all");
lf[24]=C_h_intern(&lf[24],6,"format");
lf[25]=C_h_intern(&lf[25],17,"get-output-string");
lf[26]=C_h_intern(&lf[26],16,"\003syswrite-char-0");
lf[27]=C_h_intern(&lf[27],9,"\003sysprint");
lf[28]=C_decode_literal(C_heaptop,"\376B\000\000\006, o = ");
lf[29]=C_decode_literal(C_heaptop,"\376B\000\000\006 (i = ");
lf[30]=C_decode_literal(C_heaptop,"\376B\000\000#fdset-test: invalid i/o direction: ");
lf[31]=C_h_intern(&lf[31],18,"open-output-string");
lf[32]=C_decode_literal(C_heaptop,"\376B\000\000\013 (expected ");
lf[33]=C_decode_literal(C_heaptop,"\376B\000\0009thread is registered for I/O on unknown file-descriptor: ");
lf[34]=C_h_intern(&lf[34],3,"max");
lf[35]=C_decode_literal(C_heaptop,"\376B\000\000\007 (fd = ");
lf[36]=C_decode_literal(C_heaptop,"\376B\000\000%create-fdset: invalid i/o direction: ");
lf[37]=C_h_intern(&lf[37],10,"\003syslength");
lf[39]=C_h_intern(&lf[39],14,"inexact->exact");
lf[40]=C_h_intern(&lf[40],5,"round");
lf[41]=C_h_intern(&lf[41],22,"\003sysadd-to-ready-queue");
lf[42]=C_h_intern(&lf[42],21,"\003sysprimordial-thread");
lf[43]=C_h_intern(&lf[43],19,"\003systhread-unblock!");
lf[44]=C_h_intern(&lf[44],15,"\003sysready-queue");
lf[45]=C_h_intern(&lf[45],18,"\003sysinterrupt-hook");
lf[46]=C_h_intern(&lf[46],29,"\003systhread-block-for-timeout!");
lf[47]=C_h_intern(&lf[47],7,"blocked");
lf[48]=C_h_intern(&lf[48],33,"\003systhread-block-for-termination!");
lf[49]=C_h_intern(&lf[49],4,"dead");
lf[50]=C_h_intern(&lf[50],10,"terminated");
lf[51]=C_h_intern(&lf[51],16,"\003systhread-kill!");
lf[52]=C_h_intern(&lf[52],18,"condition-variable");
lf[53]=C_h_intern(&lf[53],6,"thread");
lf[54]=C_h_intern(&lf[54],29,"\003sysdefault-exception-handler");
lf[55]=C_h_intern(&lf[55],24,"chicken.condition#signal");
lf[56]=C_h_intern(&lf[56],26,"\003sysshow-exception-warning");
lf[57]=C_decode_literal(C_heaptop,"\376B\000\000\011in thread");
lf[58]=C_h_intern(&lf[58],25,"\003systhread-block-for-i/o!");
lf[59]=C_h_intern(&lf[59],15,"\003sysall-threads");
lf[60]=C_h_intern(&lf[60],3,"i/o");
lf[61]=C_h_intern(&lf[61],7,"timeout");
lf[62]=C_h_intern(&lf[62],27,"\003sysfetch-and-clear-threads");
lf[63]=C_h_intern(&lf[63],19,"\003sysrestore-threads");
lf[64]=C_h_intern(&lf[64],8,"sleeping");
lf[65]=C_h_intern(&lf[65],17,"\003systhread-sleep!");
lf[66]=C_h_intern(&lf[66],14,"\003syssleep-hook");
lf[67]=C_decode_literal(C_heaptop,"\376U1000.0\000");
lf[68]=C_h_intern(&lf[68],17,"chicken.base#exit");
lf[69]=C_h_intern(&lf[69],22,"\003syskill-other-threads");
lf[70]=C_h_intern(&lf[70],9,"suspended");
C_register_lf2(lf,71,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_837,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_extras_toplevel(2,av2);}}

/* ##sys#remove-from-timeout-list in k838 in k835 */
static void C_ccall f_1248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1248,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1254,a[2]=t2,a[3]=((C_word)li16),tmp=(C_word)a,a+=4,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_1254(t3,lf[13],C_SCHEME_FALSE)
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* for-each-loop293 in for-each-loop279 in thread-kill! in k838 in k835 */
static void C_fcall f_1439(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1439,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1449,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:338: ##sys#thread-unblock! */
t5=*((C_word*)lf[43]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* for-each-loop385 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1765(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1765,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1775,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:405: g386 */
t5=((C_word*)t0)[3];
f_1673(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* a1637 in default-exception-handler in k838 in k835 */
static void C_ccall f_1638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1638,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1642,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:384: chicken.condition#signal */
t3=*((C_word*)lf[55]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1050 in k1044 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_1052,2,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1064,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_minus(&a,2,t1,((C_word*)t0)[4]);
/* scheduler.scm:216: max */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k1447 in for-each-loop293 in for-each-loop279 in thread-kill! in k838 in k835 */
static void C_ccall f_1449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1449,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1439(t3,((C_word*)t0)[4],t2);}

/* loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1996(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(65,0,4)))){
C_save_and_reclaim_args((void *)trf_1996,4,t0,t1,t2,t3);}
a=C_alloc(65);
if(C_truep(C_i_nullp(t2))){
if(C_truep(C_i_nullp(t3))){
t4=((C_word*)t0)[2];
t5=C_s_a_i_minus(&a,2,t4,C_fix(1));
t6=((C_word*)t0)[3];
t7=C_s_a_i_plus(&a,2,t6,C_fix(1));
t8=C_slot(((C_word*)t0)[4],C_fix(1));
/* scheduler.scm:486: loop */
t9=((C_word*)((C_word*)t0)[5])[1];
f_1965(t9,t1,t5,t7,t8);}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[6],t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2031,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=((C_word*)t0)[2];
t8=C_s_a_i_minus(&a,2,t7,C_fix(1));
t9=((C_word*)t0)[3];
t10=C_s_a_i_plus(&a,2,t9,C_fix(1));
t11=C_slot(((C_word*)t0)[4],C_fix(1));
/* scheduler.scm:488: loop */
t12=((C_word*)((C_word*)t0)[5])[1];
f_1965(t12,t6,t8,t10,t11);}}
else{
t4=C_u_i_car(t2);
t5=t4;
t6=C_slot(t5,C_fix(11));
t7=t6;
if(C_truep(C_slot(t5,C_fix(13)))){
t8=C_slot(t2,C_fix(1));
/* scheduler.scm:494: loop2 */
t23=t1;
t24=t8;
t25=t3;
t1=t23;
t2=t24;
t3=t25;
goto loop;}
else{
if(C_truep(C_i_pairp(t7))){
t8=C_u_i_car(t7);
t9=C_eqp(((C_word*)t0)[6],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2124,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t7,C_fix(1));
t12=t10;
t13=((C_word*)t0)[8];
t14=((C_word*)t0)[9];
t15=t11;
t16=C_eqp(t15,C_SCHEME_TRUE);
t17=(C_truep(t16)?t16:C_eqp(t15,lf[21]));
if(C_truep(t17)){
t18=t12;{
C_word av2[2];
av2[0]=t18;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
t18=C_eqp(t15,C_SCHEME_FALSE);
t19=(C_truep(t18)?t18:C_eqp(t15,lf[22]));
if(C_truep(t19)){
t20=t12;{
C_word av2[2];
av2[0]=t20;
av2[1]=t14;
((C_proc)(void*)(*((C_word*)t20+1)))(2,av2);}}
else{
t20=C_eqp(t15,lf[23]);
if(C_truep(t20)){
t21=t12;{
C_word av2[2];
av2[0]=t21;
av2[1]=(C_truep(t13)?t13:t14);
((C_proc)(void*)(*((C_word*)t21+1)))(2,av2);}}
else{
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1824,a[2]=t12,a[3]=t14,a[4]=t13,a[5]=t15,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:435: open-output-string */
t22=*((C_word*)lf[31]+1);{
C_word av2[2];
av2[0]=t22;
av2[1]=t21;
((C_proc)(void*)(*((C_word*)t22+1)))(2,av2);}}}}}
else{
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2093,a[2]=t1,a[3]=((C_word*)t0)[6],a[4]=t7,tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:503: open-output-string */
t11=*((C_word*)lf[31]+1);{
C_word av2[2];
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2067,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_slot(t5,C_fix(4)))){
/* scheduler.scm:499: ##sys#remove-from-timeout-list */
t9=*((C_word*)lf[20]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
t9=t8;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_2067(2,av2);}}}}}}

/* k2128 in k2125 in k2122 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2130,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* scheduler.scm:508: loop2 */
t3=((C_word*)((C_word*)t0)[3])[1];
f_1996(t3,((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* k1773 in for-each-loop385 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1775,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1765(t3,((C_word*)t0)[4],t2);}

/* k2068 in k2065 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2070,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* scheduler.scm:501: loop2 */
t3=((C_word*)((C_word*)t0)[3])[1];
f_1996(t3,((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* k1062 in k1050 in k1044 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1064,2,av);}
if(C_truep(C_msleep(t1))){
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_mk_bool(C_signal_interrupted_p);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1030 in k1027 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1032,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* scheduler.scm:202: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_994(t3,((C_word*)t0)[4],t2);}

/* k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,c,3)))){
C_save_and_reclaim((void *)f_1930,2,av);}
a=C_alloc(41);
t2=C_i_pairp(lf[13]);
t3=t2;
t4=C_i_pairp(lf[16]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1939,a[2]=t5,a[3]=t3,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t7=(C_truep(t3)?C_i_not(t5):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=C_u_i_caar(lf[13]);
t9=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
t10=C_s_a_i_minus(&a,2,t8,t9);
/* scheduler.scm:461: max */
t11=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t11;
av2[1]=t6;
av2[2]=C_fix(0);
av2[3]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}
else{
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_fix(0);
f_1939(2,av2);}}}

/* k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_1939,2,av);}
a=C_alloc(9);
t2=(C_truep(((C_word*)t0)[2])?stub501(C_SCHEME_UNDEFINED,((C_word*)t0)[2],t1):stub501(C_SCHEME_UNDEFINED,((C_word*)t0)[3],t1));
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
/* scheduler.scm:469: ##sys#force-primordial */
t4=*((C_word*)lf[18]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1963,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1965,a[2]=t6,a[3]=((C_word)li4),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_1965(t8,t4,t2,C_fix(0),*((C_word*)lf[14]+1));}
else{
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_2566,2,av);}
a=C_alloc(17);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2567,a[2]=((C_word*)t0)[2],a[3]=((C_word)li47),tmp=(C_word)a,a+=4,tmp);
t3=lf[13];
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2578,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2645,a[2]=t6,a[3]=t2,a[4]=((C_word)li51),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2645(t8,t4,lf[13]);}

/* g638 in k2564 in kill-other-threads in k838 in k835 */
static void C_fcall f_2567(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_2567,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* scheduler.scm:623: suspend */
t4=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
f_2541(3,av2);}}

/* k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_1790,2,av);}
a=C_alloc(6);
t2=stub375(C_SCHEME_UNDEFINED,t1);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1662,a[2]=t4,a[3]=((C_word)li7),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_1662(t6,((C_word*)t0)[2],*((C_word*)lf[14]+1));}

/* loop in remove-from-timeout-list in k838 in k835 */
static C_word C_fcall f_1254(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
loop:{}
if(C_truep(C_i_nullp(t1))){
t3=t1;
return(t3);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_slot(t1,C_fix(1));
t5=C_slot(t3,C_fix(1));
t6=C_eqp(t5,((C_word*)t0)[2]);
if(C_truep(t6)){
if(C_truep(t2)){
return(C_i_setslot(t2,C_fix(1),t4));}
else{
t7=C_mutate(&lf[13] /* (set! ##sys#timeout-list ...) */,t4);
return(t7);}}
else{
t9=t4;
t10=t1;
t1=t9;
t2=t10;
goto loop;}}}

/* k1421 in for-each-loop279 in thread-kill! in k838 in k835 */
static void C_ccall f_1423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1423,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_set_i_slot(((C_word*)t0)[3],C_fix(3),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_2099,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2102,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_u_i_car(((C_word*)t0)[6]);
/* scheduler.scm:503: ##sys#print */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_2093,2,av);}
a=C_alloc(7);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[24]);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2099,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:503: ##sys#print */
t6=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[33];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* k1044 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1046(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_1046,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=C_u_i_caar(lf[13]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1052,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1072,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:212: round */
t5=*((C_word*)lf[40]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* g648 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_fcall f_2579(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_2579,3,t0,t1,t2);}
a=C_alloc(7);
t3=((C_word*)t0)[2];
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2588,a[2]=t6,a[3]=t3,a[4]=((C_word)li48),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2588(t8,t1,t4);}

/* k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_2578,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2579,a[2]=((C_word*)t0)[2],a[3]=((C_word)li49),tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[14]+1);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2612,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2622,a[2]=t6,a[3]=t2,a[4]=((C_word)li50),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2622(t8,t4,*((C_word*)lf[14]+1));}

/* for-each-loop670 in g648 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_fcall f_2588(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2588,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2598,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:624: g671 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#clear-i/o-state-for-thread! in k838 in k835 */
static void C_fcall f_2208(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_2208,2,t1,t2);}
a=C_alloc(11);
t3=C_slot(t2,C_fix(11));
if(C_truep(C_i_pairp(t3))){
t4=C_slot(t2,C_fix(11));
t5=C_u_i_car(t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2222,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2224,a[2]=t6,a[3]=t2,a[4]=t9,a[5]=((C_word)li31),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_2224(t11,t7,*((C_word*)lf[14]+1));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2596 in for-each-loop670 in g648 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2598,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2588(t3,((C_word*)t0)[4],t2);}

/* k835 */
static void C_ccall f_837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_837,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_840,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_library_toplevel(2,av2);}}

/* k1749 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1751,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
t3=((C_word*)((C_word*)t0)[3])[1];
t4=stub434(C_SCHEME_UNDEFINED,((C_word*)t0)[4],t2,t3);
t5=C_slot(((C_word*)t0)[5],C_fix(1));
/* scheduler.scm:427: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_1662(t6,((C_word*)t0)[7],t5);}

/* k1577 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1579,2,av);}
t2=((C_word*)t0)[2];
f_1498(t2,C_i_setslot(((C_word*)t0)[3],C_fix(2),t1));}

/* loop in clear-i/o-state-for-thread! in k838 in k835 */
static void C_fcall f_2224(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_2224,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=t3;
t5=C_u_i_car(t4);
t6=C_eqp(((C_word*)t0)[2],t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2246,a[2]=t1,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t4,C_fix(1));
/* scheduler.scm:525: delq */
f_842(t7,((C_word*)t0)[3],t8);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2269,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t8=C_slot(t2,C_fix(1));
/* scheduler.scm:530: loop */
t10=t7;
t11=t8;
t1=t10;
t2=t11;
goto loop;}}}

/* k2220 in clear-i/o-state-for-thread! in k838 in k835 */
static void C_ccall f_2222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2222,2,av);}
t2=C_mutate((C_word*)lf[14]+1 /* (set! ##sys#fd-list ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k1594 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1596,2,av);}
t2=((C_word*)t0)[2];
f_1498(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k838 in k835 */
static void C_ccall f_840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(73,c,5)))){
C_save_and_reclaim((void *)f_840,2,av);}
a=C_alloc(73);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_mutate(&lf[1] /* (set! delq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_842,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[2]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_885,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[18]+1 /* (set! ##sys#force-primordial ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1108,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t6=lf[16] /* ready-queue-head */ =C_SCHEME_END_OF_LIST;;
t7=lf[17] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t8=C_mutate((C_word*)lf[44]+1 /* (set! ##sys#ready-queue ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1119,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[41]+1 /* (set! ##sys#add-to-ready-queue ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1122,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t10=*((C_word*)lf[45]+1);
t11=C_mutate((C_word*)lf[45]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1223,a[2]=t10,a[3]=((C_word)li15),tmp=(C_word)a,a+=4,tmp));
t12=lf[13] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t13=C_mutate((C_word*)lf[20]+1 /* (set! ##sys#remove-from-timeout-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1248,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[46]+1 /* (set! ##sys#thread-block-for-timeout! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1289,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[48]+1 /* (set! ##sys#thread-block-for-termination! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1358,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[51]+1 /* (set! ##sys#thread-kill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1488,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[19]+1 /* (set! ##sys#thread-basic-unblock! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1602,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[54]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1614,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t19=C_set_block_item(lf[14] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t20=C_mutate((C_word*)lf[58]+1 /* (set! ##sys#thread-block-for-i/o! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1859,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate(&lf[38] /* (set! ##sys#clear-i/o-state-for-thread! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2208,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[59]+1 /* (set! ##sys#all-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2283,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[62]+1 /* (set! ##sys#fetch-and-clear-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2439,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[63]+1 /* (set! ##sys#restore-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2449,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[43]+1 /* (set! ##sys#thread-unblock! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2468,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[65]+1 /* (set! ##sys#thread-sleep! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2500,a[2]=((C_word)li44),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[66]+1 /* (set! ##sys#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2524,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t28=*((C_word*)lf[68]+1);
t29=C_mutate((C_word*)lf[69]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2538,a[2]=t28,a[3]=((C_word)li52),tmp=(C_word)a,a+=4,tmp));
t30=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t30;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t30+1)))(2,av2);}}

/* delq in k838 in k835 */
static void C_fcall f_842(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_842,3,t1,t2,t3);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_848,a[2]=t2,a[3]=t5,a[4]=((C_word)li0),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_848(t7,t1,t3);}

/* loop in delq in k838 in k835 */
static void C_fcall f_848(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_848,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_eqp(((C_word*)t0)[2],t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_875,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=C_slot(t2,C_fix(1));
/* scheduler.scm:162: loop */
t10=t7;
t11=t8;
t1=t10;
t2=t11;
goto loop;}}}

/* k2244 in loop in clear-i/o-state-for-thread! in k838 in k835 */
static void C_ccall f_2246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2246,2,av);}
if(C_truep(C_i_nullp(t1))){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_slot(((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_i_setslot(((C_word*)t0)[4],C_fix(1),t1);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#thread-sleep! in k838 in k835 */
static void C_ccall f_2500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2500,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2506,a[2]=t2,a[3]=((C_word)li43),tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:590: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
C_call_cc(3,av2);}}

/* k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1718,2,av);}
a=C_alloc(7);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[24]);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1724,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:422: ##sys#print */
t6=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[36];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* ##sys#thread-block-for-termination! in k838 in k835 */
static void C_ccall f_1358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1358,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(3));
t5=C_eqp(t4,lf[49]);
t6=(C_truep(t5)?t5:C_eqp(t4,lf[50]));
if(C_truep(t6)){
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(12));
t8=C_a_i_cons(&a,2,t2,t7);
t9=C_i_setslot(t3,C_fix(12),t8);
t10=C_i_setslot(t2,C_fix(3),lf[47]);
t11=C_i_set_i_slot(t2,C_fix(13),C_SCHEME_FALSE);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_i_setslot(t2,C_fix(11),t3);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k873 in loop in delq in k838 in k835 */
static void C_ccall f_875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_875,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2267 in loop in clear-i/o-state-for-thread! in k838 in k835 */
static void C_ccall f_2269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2269,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k914 in schedule in k838 in k835 */
static void C_ccall f_916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_916,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_921,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li9),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_921(t5,((C_word*)t0)[3]);}

/* a2505 in thread-sleep! in k838 in k835 */
static void C_ccall f_2506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2506,3,av);}
a=C_alloc(7);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2518,a[2]=t2,a[3]=((C_word)li42),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(*((C_word*)lf[3]+1),C_fix(1),t4);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2513,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:594: ##sys#thread-block-for-timeout! */
t7=*((C_word*)lf[46]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=*((C_word*)lf[3]+1);
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k2029 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2031,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2511 in a2505 in thread-sleep! in k838 in k835 */
static void C_ccall f_2513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2513,2,av);}
/* scheduler.scm:595: ##sys#schedule */
t2=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a2517 in a2505 in thread-sleep! in k838 in k835 */
static void C_ccall f_2518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2518,2,av);}
/* scheduler.scm:593: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#schedule in k838 in k835 */
static void C_ccall f_885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_885,2,av);}
a=C_alloc(6);
t2=*((C_word*)lf[3]+1);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_slot(*((C_word*)lf[3]+1),C_fix(3));
t6=C_slot(*((C_word*)lf[3]+1),C_fix(5));
t7=C_i_setslot(t6,C_fix(0),*((C_word*)lf[4]+1));
t8=C_i_setslot(t6,C_fix(1),*((C_word*)lf[5]+1));
t9=C_i_setslot(t6,C_fix(2),*((C_word*)lf[6]+1));
t10=C_i_setslot(t6,C_fix(3),*((C_word*)lf[7]+1));
t11=C_i_setslot(t6,C_fix(4),*((C_word*)lf[8]+1));
t12=C_i_setslot(t6,C_fix(5),*((C_word*)lf[9]+1));
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_916,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t14=C_eqp(t5,lf[11]);
t15=(C_truep(t14)?t14:C_eqp(t5,lf[10]));
if(C_truep(t15)){
t16=C_i_set_i_slot(*((C_word*)lf[3]+1),C_fix(13),C_SCHEME_FALSE);
/* scheduler.scm:184: ##sys#add-to-ready-queue */
t17=*((C_word*)lf[41]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t17;
av2[1]=t13;
av2[2]=*((C_word*)lf[3]+1);
((C_proc)(void*)(*((C_word*)t17+1)))(3,av2);}}
else{
t16=t13;{
C_word *av2=av;
av2[0]=t16;
av2[1]=C_SCHEME_UNDEFINED;
f_916(2,av2);}}}

/* ##sys#sleep-hook in k838 in k835 */
static void C_ccall f_2524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(69,c,2)))){
C_save_and_reclaim((void *)f_2524,3,av);}
a=C_alloc(69);
t3=C_s_a_i_times(&a,2,lf[67],t2);
t4=C_s_a_i_plus(&a,2,C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE),t3);
/* scheduler.scm:602: ##sys#thread-sleep! */
t5=*((C_word*)lf[65]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* loop in thread-block-for-timeout! in k838 in k835 */
static void C_fcall f_1310(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_1310,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_i_nullp(t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1320,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t1,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_1320(t6,t4);}
else{
t6=C_u_i_caar(t2);
t7=t5;
f_1320(t7,C_i_lessp(((C_word*)t0)[2],t6));}}

/* ##sys#kill-other-threads in k838 in k835 */
static void C_ccall f_2538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_2538,3,av);}
a=C_alloc(13);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2541,a[2]=t3,a[3]=((C_word)li46),tmp=(C_word)a,a+=4,tmp);
t5=C_mutate((C_word*)lf[42]+1 /* (set! ##sys#primordial-thread ...) */,*((C_word*)lf[3]+1));
t6=C_a_i_list1(&a,1,*((C_word*)lf[3]+1));
t7=C_mutate(&lf[16] /* (set! ready-queue-head ...) */,t6);
t8=C_mutate(&lf[17] /* (set! ready-queue-tail ...) */,lf[16]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2566,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:622: suspend */
t10=t4;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=*((C_word*)lf[3]+1);
f_2541(3,av2);}}

/* ##sys#force-primordial in k838 in k835 */
static void C_ccall f_1108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1108,2,av);}
t2=C_i_set_i_slot(*((C_word*)lf[42]+1),C_fix(13),C_SCHEME_FALSE);
/* scheduler.scm:238: ##sys#thread-unblock! */
t3=*((C_word*)lf[43]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=*((C_word*)lf[42]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2065 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2067,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:500: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1318 in loop in thread-block-for-timeout! in k838 in k835 */
static void C_fcall f_1320(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_1320,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[5]);
t4=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(1),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[5]);
t4=C_mutate(&lf[13] /* (set! ##sys#timeout-list ...) */,t3);
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(1));
/* scheduler.scm:311: loop */
t3=((C_word*)((C_word*)t0)[7])[1];
f_1310(t3,((C_word*)t0)[6],t2,((C_word*)t0)[5]);}}

/* ##sys#thread-block-for-i/o! in k838 in k835 */
static void C_ccall f_1859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_1859,5,av);}
a=C_alloc(14);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1863,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1878,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li29),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_1878(t9,t5,*((C_word*)lf[14]+1));}

/* ##sys#ready-queue in k838 in k835 */
static void C_ccall f_1119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1119,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[16];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* suspend in kill-other-threads in k838 in k835 */
static void C_ccall f_2541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2541,3,av);}
t3=C_eqp(t2,((C_word*)t0)[2]);
t4=(C_truep(t3)?C_SCHEME_UNDEFINED:C_i_setslot(t2,C_fix(3),lf[70]));
t5=C_i_set_i_slot(t2,C_fix(11),C_SCHEME_FALSE);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(t2,C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k1849 in k1846 in k1843 in k1840 in k1837 in k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1851,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_921(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_921,2,t0,t1);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_925,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_nullp(lf[13]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_925(2,av2);}}
else{
t3=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_994,a[2]=t3,a[3]=t5,a[4]=((C_word*)t0)[3],a[5]=((C_word)li8),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_994(t7,t2,lf[13]);}}

/* k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_925,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_928,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
/* scheduler.scm:222: ##sys#force-primordial */
t3=*((C_word*)lf[18]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_nullp(*((C_word*)lf[14]+1)))){
t3=C_SCHEME_UNDEFINED;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
f_928(2,av2);}}
else{
t3=t2;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1930,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1790,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:399: ##sys#length */
t7=*((C_word*)lf[37]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=*((C_word*)lf[14]+1);
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k926 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_928,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_933,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li2),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_933(t5,((C_word*)t0)[3]);}

/* ##sys#add-to-ready-queue in k838 in k835 */
static void C_ccall f_1122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1122,3,av);}
a=C_alloc(3);
t3=C_i_setslot(t2,C_fix(3),lf[10]);
t4=C_a_i_cons(&a,2,t2,C_SCHEME_END_OF_LIST);
t5=C_eqp(C_SCHEME_END_OF_LIST,lf[16]);
if(C_truep(t5)){
t6=C_mutate(&lf[16] /* (set! ready-queue-head ...) */,t4);
t7=C_mutate(&lf[17] /* (set! ready-queue-tail ...) */,t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t6=C_i_setslot(lf[17],C_fix(1),t4);
t7=C_mutate(&lf[17] /* (set! ready-queue-tail ...) */,t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* k1861 in thread-block-for-i/o! in k838 in k835 */
static void C_ccall f_1863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1863,2,av);}
a=C_alloc(3);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),lf[47]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(13),C_SCHEME_FALSE);
t4=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(11),t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1501,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:353: ##sys#clear-i/o-state-for-thread! */
f_2208(t2,((C_word*)t0)[2]);}

/* k1502 in k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_1504,2,av);}
a=C_alloc(15);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),C_SCHEME_FALSE);
t4=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),C_SCHEME_FALSE);
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(8),C_SCHEME_END_OF_LIST);
t6=C_slot(((C_word*)t0)[2],C_fix(12));
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1522,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1529,a[2]=((C_word*)t0)[2],a[3]=((C_word)li21),tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1548,a[2]=t10,a[3]=t8,a[4]=((C_word)li22),tmp=(C_word)a,a+=5,tmp));
t12=((C_word*)t10)[1];
f_1548(t12,t7,t6);}}

/* k2371 in loop in loop in loop in all-threads in k838 in k835 */
static void C_ccall f_2373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2373,2,av);}
/* scheduler.scm:550: cns */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[60];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1724,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1727,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:422: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* loop in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_994(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_994,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=lf[13] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_caar(t2);
t4=C_u_i_cdar(t2);
t5=t4;
t6=C_slot(t5,C_fix(4));
if(C_truep(C_i_equalp(t3,t6))){
if(C_truep(C_i_greater_or_equalp(((C_word*)t0)[2],t3))){
t7=C_i_set_i_slot(t5,C_fix(13),C_SCHEME_TRUE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1029,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:200: ##sys#clear-i/o-state-for-thread! */
f_2208(t8,t5);}
else{
t7=C_mutate(&lf[13] /* (set! ##sys#timeout-list ...) */,t2);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1046,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_nullp(lf[16]))){
t9=C_i_nullp(*((C_word*)lf[14]+1));
t10=t8;
f_1046(t10,(C_truep(t9)?C_i_pairp(lf[13]):C_SCHEME_FALSE));}
else{
t9=t8;
f_1046(t9,C_SCHEME_FALSE);}}}
else{
t7=C_slot(t2,C_fix(1));
/* scheduler.scm:219: loop */
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}}}

/* k1725 in k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1727,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1730,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:422: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[35];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k2476 in thread-unblock! in k838 in k835 */
static void C_fcall f_2478(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_2478,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2481,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:582: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[20]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k1731 in k1728 in k1725 in k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1733,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1736,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:422: ##sys#write-char-0 */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* loop in loop in loop in all-threads in k838 in k835 */
static void C_fcall f_2382(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,5)))){
C_save_and_reclaim_args((void *)trf_2382,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2400,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_u_i_caar(t2);
t8=C_u_i_cdar(t2);
/* scheduler.scm:553: cns */
t9=((C_word*)t0)[3];{
C_word av2[6];
av2[0]=t9;
av2[1]=t6;
av2[2]=lf[61];
av2[3]=t7;
av2[4]=t8;
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k1728 in k1725 in k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1730,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:422: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1556 in for-each-loop327 in k1502 in k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1558,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1548(t3,((C_word*)t0)[4],t2);}

/* k1737 in k1734 in k1731 in k1728 in k1725 in k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1739,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1734 in k1731 in k1728 in k1725 in k1722 in k1716 in g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_1736,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1739,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:422: get-output-string */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1520 in k1502 in k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_ccall f_1522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1522,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_set_i_slot(((C_word*)t0)[3],C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* g328 in k1502 in k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_fcall f_1529(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_1529,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(11));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
/* scheduler.scm:364: ##sys#thread-basic-unblock! */
t5=*((C_word*)lf[19]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#thread-unblock! in k838 in k835 */
static void C_ccall f_2468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2468,3,av);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(3));
t4=C_eqp(lf[47],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2478,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_2478(t6,t4);}
else{
t6=C_slot(t2,C_fix(3));
t7=t5;
f_2478(t7,C_eqp(lf[64],t6));}}

/* k2175 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2177,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop327 in k1502 in k1499 in k1496 in k1490 in thread-kill! in k838 in k835 */
static void C_fcall f_1548(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1548,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1558,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:360: g328 */
t5=((C_word*)t0)[3];
f_1529(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop2 in k926 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_933(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_933,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_937,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=lf[16];
if(C_truep(C_i_nullp(lf[16]))){
t4=t2;
f_937(t4,C_SCHEME_FALSE);}
else{
t4=C_slot(t3,C_fix(1));
t5=C_mutate(&lf[16] /* (set! ready-queue-head ...) */,t4);
t6=C_eqp(C_SCHEME_END_OF_LIST,t4);
if(C_truep(t6)){
t7=lf[17] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t8=t2;
f_937(t8,C_u_i_car(t3));}
else{
t7=t2;
f_937(t7,C_u_i_car(t3));}}}

/* k935 in loop2 in k926 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_937(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_937,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(3));
t3=C_eqp(t2,lf[10]);
if(C_truep(t3)){
t4=((C_word*)t0)[2];
t5=t1;
t6=C_mutate((C_word*)lf[3]+1 /* (set! ##sys#current-thread ...) */,t5);
t7=C_i_setslot(t5,C_fix(3),lf[11]);
t8=C_slot(t5,C_fix(5));
t9=C_slot(t8,C_fix(0));
t10=C_mutate((C_word*)lf[4]+1 /* (set! ##sys#dynamic-winds ...) */,t9);
t11=C_slot(t8,C_fix(1));
t12=C_mutate((C_word*)lf[5]+1 /* (set! ##sys#standard-input ...) */,t11);
t13=C_slot(t8,C_fix(2));
t14=C_mutate((C_word*)lf[6]+1 /* (set! ##sys#standard-output ...) */,t13);
t15=C_slot(t8,C_fix(3));
t16=C_mutate((C_word*)lf[7]+1 /* (set! ##sys#standard-error ...) */,t15);
t17=C_slot(t8,C_fix(4));
t18=C_mutate((C_word*)lf[8]+1 /* (set! ##sys#current-exception-handler ...) */,t17);
t19=C_slot(t8,C_fix(5));
t20=C_mutate((C_word*)lf[9]+1 /* (set! ##sys#current-parameter-vector ...) */,t19);
t21=C_slot(t5,C_fix(9));
t22=C_set_initial_timer_interrupt_period(t21);
t23=C_slot(t5,C_fix(1));
/* scheduler.scm:175: ##sys#call-with-cthulhu */
t24=*((C_word*)lf[12]+1);{
C_word av2[3];
av2[0]=t24;
av2[1]=t4;
av2[2]=t23;
((C_proc)(void*)(*((C_word*)t24+1)))(3,av2);}}
else{
/* scheduler.scm:233: loop2 */
t4=((C_word*)((C_word*)t0)[3])[1];
f_933(t4,((C_word*)t0)[2]);}}
else{
if(C_truep(C_i_nullp(lf[13]))){
if(C_truep(C_i_nullp(*((C_word*)lf[14]+1)))){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_halt(lf[15]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* scheduler.scm:231: loop1 */
t2=((C_word*)((C_word*)t0)[4])[1];
f_921(t2,((C_word*)t0)[2]);}}
else{
/* scheduler.scm:231: loop1 */
t2=((C_word*)((C_word*)t0)[4])[1];
f_921(t2,((C_word*)t0)[2]);}}}

/* k2482 in k2479 in k2476 in thread-unblock! in k838 in k835 */
static void C_ccall f_2484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2484,2,av);}
/* scheduler.scm:584: ##sys#thread-basic-unblock! */
t2=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1297 in thread-block-for-timeout! in k838 in k835 */
static void C_ccall f_1299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1299,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),lf[47]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(13),C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(4),((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2479 in k2476 in thread-unblock! in k838 in k835 */
static void C_ccall f_2481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2481,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2484,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:583: ##sys#clear-i/o-state-for-thread! */
f_2208(t2,((C_word*)t0)[3]);}

/* k2610 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2612,2,av);}
a=C_alloc(4);
t2=lf[13] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t3=C_set_block_item(lf[14] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2617,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:627: thunk */
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2615 in k2610 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2617,2,av);}
/* scheduler.scm:628: exit */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1837 in k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1839,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1842,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:435: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[28];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1836,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1839,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:435: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1662(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(25,0,3)))){
C_save_and_reclaim_args((void *)trf_1662,3,t0,t1,t2);}
a=C_alloc(25);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_caar(t2);
t4=t3;
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_FALSE;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1673,a[2]=t6,a[3]=t8,a[4]=t4,a[5]=((C_word)li5),tmp=(C_word)a,a+=6,tmp);
t10=C_u_i_cdar(t2);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1751,a[2]=t6,a[3]=t8,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1765,a[2]=t13,a[3]=t9,a[4]=((C_word)li6),tmp=(C_word)a,a+=5,tmp));
t15=((C_word*)t13)[1];
f_1765(t15,t11,t10);}}

/* k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1830,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1833,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:435: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1833,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1836,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:435: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1846 in k1843 in k1840 in k1837 in k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_1848,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1851,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:435: get-output-string */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2630 in for-each-loop647 in k2576 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2632,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2622(t3,((C_word*)t0)[4],t2);}

/* g386 in loop in k1788 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_fcall f_1673(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1673,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(11));
if(C_truep(C_i_pairp(t3))){
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=C_eqp(t5,C_SCHEME_TRUE);
t7=(C_truep(t6)?t6:C_eqp(t5,lf[21]));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_eqp(t5,C_SCHEME_FALSE);
t9=(C_truep(t8)?t8:C_eqp(t5,lf[22]));
if(C_truep(t9)){
t10=C_set_block_item(((C_word*)t0)[3],0,C_SCHEME_TRUE);
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t10=C_eqp(t5,lf[23]);
if(C_truep(t10)){
t11=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t12=C_set_block_item(((C_word*)t0)[3],0,C_SCHEME_TRUE);
t13=t1;{
C_word av2[2];
av2[0]=t13;
av2[1]=t12;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}
else{
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1718,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:422: open-output-string */
t12=*((C_word*)lf[31]+1);{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k1843 in k1840 in k1837 in k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1845,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1848,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:435: ##sys#write-char-0 */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k1840 in k1837 in k1834 in k1831 in k1828 in k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1842,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1845,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:435: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* ##sys#thread-block-for-timeout! in k838 in k835 */
static void C_ccall f_1289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_1289,4,av);}
a=C_alloc(13);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1299,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1310,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li18),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_1310(t8,t4,lf[13],C_SCHEME_FALSE);}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* loop in all-threads in k838 in k835 */
static void C_fcall f_2301(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,5)))){
C_save_and_reclaim_args((void *)trf_2301,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2319,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_u_i_car(t2);
/* scheduler.scm:543: cns */
t8=((C_word*)t0)[3];{
C_word av2[6];
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=t7;
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2328,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word)li36),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2328(t7,t1,*((C_word*)lf[14]+1),t3);}}

/* for-each-loop637 in k2564 in kill-other-threads in k838 in k835 */
static void C_fcall f_2645(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2645,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2655,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:623: g638 */
t5=((C_word*)t0)[3];
f_2567(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2317 in loop in all-threads in k838 in k835 */
static void C_ccall f_2319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2319,2,av);}
/* scheduler.scm:543: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2301(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k1473 in for-each-loop279 in thread-kill! in k838 in k835 */
static void C_ccall f_1475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1475,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1465(t3,((C_word*)t0)[4],t2);}

/* ##sys#thread-kill! in k838 in k835 */
static void C_ccall f_1488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_1488,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1492,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_slot(t5,C_fix(8));
if(C_truep(C_i_nullp(t6))){
t7=C_SCHEME_UNDEFINED;
t8=t4;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
f_1492(2,av2);}}
else{
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1465,a[2]=t8,a[3]=((C_word)li24),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_1465(t10,t4,t6);}}

/* k2653 in for-each-loop637 in k2564 in kill-other-threads in k838 in k835 */
static void C_ccall f_2655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2655,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2645(t3,((C_word*)t0)[4],t2);}

/* k1822 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_1824,2,av);}
a=C_alloc(8);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[24]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1830,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* scheduler.scm:435: ##sys#print */
t6=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[30];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* loop in loop in all-threads in k838 in k835 */
static void C_fcall f_2328(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_2328,4,t0,t1,t2,t3);}
a=C_alloc(14);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=C_u_i_caar(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2349,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t9=C_u_i_cdar(t2);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2355,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t7,a[5]=t11,a[6]=((C_word)li34),tmp=(C_word)a,a+=7,tmp));
t13=((C_word*)t11)[1];
f_2355(t13,t8,t9);}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2382,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word)li35),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2382(t7,t1,lf[13],t3);}}

/* loop in thread-block-for-i/o! in k838 in k835 */
static void C_fcall f_1878(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_1878,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_list2(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_a_i_cons(&a,2,t3,*((C_word*)lf[14]+1));
t5=C_mutate((C_word*)lf[14]+1 /* (set! ##sys#fd-list ...) */,t4);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=C_u_i_car(t3);
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_slot(t3,C_fix(1));
t7=C_a_i_cons(&a,2,((C_word*)t0)[3],t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_i_setslot(t3,C_fix(1),t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t6=C_slot(t2,C_fix(1));
/* scheduler.scm:448: loop */
t9=t1;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}

/* k2100 in k2097 in k2091 in loop2 in loop in k1937 in k1928 in k923 in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_2102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_2102,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2105,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:503: ##sys#print */
t3=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[32];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1070 in k1044 in loop in loop1 in k914 in schedule in k838 in k835 */
static void C_ccall f_1072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1072,2,av);}
/* scheduler.scm:212: inexact->exact */
t2=*((C_word*)lf[39]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[140] = {
{"f_2111:scheduler_2escm",(void*)f_2111},
{"f_2439:scheduler_2escm",(void*)f_2439},
{"f_2349:scheduler_2escm",(void*)f_2349},
{"f_2430:scheduler_2escm",(void*)f_2430},
{"f_1465:scheduler_2escm",(void*)f_1465},
{"f_2108:scheduler_2escm",(void*)f_2108},
{"f_2105:scheduler_2escm",(void*)f_2105},
{"f_1602:scheduler_2escm",(void*)f_1602},
{"f_1223:scheduler_2escm",(void*)f_1223},
{"f_2355:scheduler_2escm",(void*)f_2355},
{"f_2400:scheduler_2escm",(void*)f_2400},
{"f_2114:scheduler_2escm",(void*)f_2114},
{"f_1614:scheduler_2escm",(void*)f_1614},
{"f_1227:scheduler_2escm",(void*)f_1227},
{"f_1498:scheduler_2escm",(void*)f_1498},
{"f_2127:scheduler_2escm",(void*)f_2127},
{"f_2124:scheduler_2escm",(void*)f_2124},
{"f_2622:scheduler_2escm",(void*)f_2622},
{"f_1618:scheduler_2escm",(void*)f_1618},
{"f_1492:scheduler_2escm",(void*)f_1492},
{"f_1642:scheduler_2escm",(void*)f_1642},
{"f_2449:scheduler_2escm",(void*)f_2449},
{"f_1029:scheduler_2escm",(void*)f_1029},
{"f_1963:scheduler_2escm",(void*)f_1963},
{"f_1965:scheduler_2escm",(void*)f_1965},
{"f_1624:scheduler_2escm",(void*)f_1624},
{"f_2283:scheduler_2escm",(void*)f_2283},
{"f_1241:scheduler_2escm",(void*)f_1241},
{"toplevel:scheduler_2escm",(void*)C_scheduler_toplevel},
{"f_1248:scheduler_2escm",(void*)f_1248},
{"f_1439:scheduler_2escm",(void*)f_1439},
{"f_1765:scheduler_2escm",(void*)f_1765},
{"f_1638:scheduler_2escm",(void*)f_1638},
{"f_1052:scheduler_2escm",(void*)f_1052},
{"f_1449:scheduler_2escm",(void*)f_1449},
{"f_1996:scheduler_2escm",(void*)f_1996},
{"f_2130:scheduler_2escm",(void*)f_2130},
{"f_1775:scheduler_2escm",(void*)f_1775},
{"f_2070:scheduler_2escm",(void*)f_2070},
{"f_1064:scheduler_2escm",(void*)f_1064},
{"f_1032:scheduler_2escm",(void*)f_1032},
{"f_1930:scheduler_2escm",(void*)f_1930},
{"f_1939:scheduler_2escm",(void*)f_1939},
{"f_2566:scheduler_2escm",(void*)f_2566},
{"f_2567:scheduler_2escm",(void*)f_2567},
{"f_1790:scheduler_2escm",(void*)f_1790},
{"f_1254:scheduler_2escm",(void*)f_1254},
{"f_1423:scheduler_2escm",(void*)f_1423},
{"f_2099:scheduler_2escm",(void*)f_2099},
{"f_2093:scheduler_2escm",(void*)f_2093},
{"f_1046:scheduler_2escm",(void*)f_1046},
{"f_2579:scheduler_2escm",(void*)f_2579},
{"f_2578:scheduler_2escm",(void*)f_2578},
{"f_2588:scheduler_2escm",(void*)f_2588},
{"f_2208:scheduler_2escm",(void*)f_2208},
{"f_2598:scheduler_2escm",(void*)f_2598},
{"f_837:scheduler_2escm",(void*)f_837},
{"f_1751:scheduler_2escm",(void*)f_1751},
{"f_1579:scheduler_2escm",(void*)f_1579},
{"f_2224:scheduler_2escm",(void*)f_2224},
{"f_2222:scheduler_2escm",(void*)f_2222},
{"f_1596:scheduler_2escm",(void*)f_1596},
{"f_840:scheduler_2escm",(void*)f_840},
{"f_842:scheduler_2escm",(void*)f_842},
{"f_848:scheduler_2escm",(void*)f_848},
{"f_2246:scheduler_2escm",(void*)f_2246},
{"f_2500:scheduler_2escm",(void*)f_2500},
{"f_1718:scheduler_2escm",(void*)f_1718},
{"f_1358:scheduler_2escm",(void*)f_1358},
{"f_875:scheduler_2escm",(void*)f_875},
{"f_2269:scheduler_2escm",(void*)f_2269},
{"f_916:scheduler_2escm",(void*)f_916},
{"f_2506:scheduler_2escm",(void*)f_2506},
{"f_2031:scheduler_2escm",(void*)f_2031},
{"f_2513:scheduler_2escm",(void*)f_2513},
{"f_2518:scheduler_2escm",(void*)f_2518},
{"f_885:scheduler_2escm",(void*)f_885},
{"f_2524:scheduler_2escm",(void*)f_2524},
{"f_1310:scheduler_2escm",(void*)f_1310},
{"f_2538:scheduler_2escm",(void*)f_2538},
{"f_1108:scheduler_2escm",(void*)f_1108},
{"f_2067:scheduler_2escm",(void*)f_2067},
{"f_1320:scheduler_2escm",(void*)f_1320},
{"f_1859:scheduler_2escm",(void*)f_1859},
{"f_1119:scheduler_2escm",(void*)f_1119},
{"f_2541:scheduler_2escm",(void*)f_2541},
{"f_1851:scheduler_2escm",(void*)f_1851},
{"f_921:scheduler_2escm",(void*)f_921},
{"f_925:scheduler_2escm",(void*)f_925},
{"f_928:scheduler_2escm",(void*)f_928},
{"f_1122:scheduler_2escm",(void*)f_1122},
{"f_1863:scheduler_2escm",(void*)f_1863},
{"f_1501:scheduler_2escm",(void*)f_1501},
{"f_1504:scheduler_2escm",(void*)f_1504},
{"f_2373:scheduler_2escm",(void*)f_2373},
{"f_1724:scheduler_2escm",(void*)f_1724},
{"f_994:scheduler_2escm",(void*)f_994},
{"f_1727:scheduler_2escm",(void*)f_1727},
{"f_2478:scheduler_2escm",(void*)f_2478},
{"f_1733:scheduler_2escm",(void*)f_1733},
{"f_2382:scheduler_2escm",(void*)f_2382},
{"f_1730:scheduler_2escm",(void*)f_1730},
{"f_1558:scheduler_2escm",(void*)f_1558},
{"f_1739:scheduler_2escm",(void*)f_1739},
{"f_1736:scheduler_2escm",(void*)f_1736},
{"f_1522:scheduler_2escm",(void*)f_1522},
{"f_1529:scheduler_2escm",(void*)f_1529},
{"f_2468:scheduler_2escm",(void*)f_2468},
{"f_2177:scheduler_2escm",(void*)f_2177},
{"f_1548:scheduler_2escm",(void*)f_1548},
{"f_933:scheduler_2escm",(void*)f_933},
{"f_937:scheduler_2escm",(void*)f_937},
{"f_2484:scheduler_2escm",(void*)f_2484},
{"f_1299:scheduler_2escm",(void*)f_1299},
{"f_2481:scheduler_2escm",(void*)f_2481},
{"f_2612:scheduler_2escm",(void*)f_2612},
{"f_2617:scheduler_2escm",(void*)f_2617},
{"f_1839:scheduler_2escm",(void*)f_1839},
{"f_1836:scheduler_2escm",(void*)f_1836},
{"f_1662:scheduler_2escm",(void*)f_1662},
{"f_1830:scheduler_2escm",(void*)f_1830},
{"f_1833:scheduler_2escm",(void*)f_1833},
{"f_1848:scheduler_2escm",(void*)f_1848},
{"f_2632:scheduler_2escm",(void*)f_2632},
{"f_1673:scheduler_2escm",(void*)f_1673},
{"f_1845:scheduler_2escm",(void*)f_1845},
{"f_1842:scheduler_2escm",(void*)f_1842},
{"f_1289:scheduler_2escm",(void*)f_1289},
{"f_2301:scheduler_2escm",(void*)f_2301},
{"f_2645:scheduler_2escm",(void*)f_2645},
{"f_2319:scheduler_2escm",(void*)f_2319},
{"f_1475:scheduler_2escm",(void*)f_1475},
{"f_1488:scheduler_2escm",(void*)f_1488},
{"f_2655:scheduler_2escm",(void*)f_2655},
{"f_1824:scheduler_2escm",(void*)f_1824},
{"f_2328:scheduler_2escm",(void*)f_2328},
{"f_1878:scheduler_2escm",(void*)f_1878},
{"f_2102:scheduler_2escm",(void*)f_2102},
{"f_1072:scheduler_2escm",(void*)f_1072},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
S|applied compiler syntax:
S|  sprintf		3
S|  for-each		6
S|  ##sys#for-each		1
o|eliminated procedure checks: 136 
o|specializations:
o|  3 (chicken.base#add1 *)
o|  2 (chicken.base#sub1 *)
o|  3 (##sys#check-output-port * * *)
(o e)|safe calls: 112 
(o e)|assignments to immediate values: 12 
o|Removed `not' forms: 5 
o|inlining procedure: k850 
o|inlining procedure: k850 
o|contracted procedure: k941 
o|inlining procedure: k938 
o|contracted procedure: "(scheduler.scm:232) switch155" 
o|contracted procedure: "(scheduler.scm:170) restore-thread-state-buffer" 
o|inlining procedure: k938 
o|contracted procedure: "(scheduler.scm:227) remove-from-ready-queue" 
o|contracted procedure: k1147 
o|inlining procedure: k1144 
o|inlining procedure: k1144 
o|propagated global variable: first-pair215 ready-queue-head 
o|inlining procedure: k978 
o|inlining procedure: k978 
o|contracted procedure: "(scheduler.scm:224) unblock-threads-for-i/o" 
o|inlining procedure: k1945 
o|inlining procedure: k1945 
o|inlining procedure: k1967 
o|inlining procedure: k1967 
o|inlining procedure: k1998 
o|inlining procedure: k1998 
o|contracted procedure: k2062 
o|inlining procedure: k2059 
o|contracted procedure: k2087 
o|inlining procedure: k2119 
o|inlining procedure: k2119 
o|contracted procedure: "(scheduler.scm:504) fdset-test" 
o|inlining procedure: k1794 
o|inlining procedure: k1794 
o|inlining procedure: k1812 
o|substituted constant variable: a1826 
o|substituted constant variable: a1827 
o|inlining procedure: k1812 
o|substituted constant variable: a2095 
o|substituted constant variable: a2096 
o|inlining procedure: k2059 
o|contracted procedure: "(scheduler.scm:464) g497498" 
o|contracted procedure: "(scheduler.scm:455) create-fdset" 
o|inlining procedure: k1664 
o|inlining procedure: k1678 
o|inlining procedure: k1697 
o|inlining procedure: k1697 
o|substituted constant variable: a1720 
o|substituted constant variable: a1721 
o|inlining procedure: k1678 
o|inlining procedure: k1664 
o|contracted procedure: "(scheduler.scm:402) g429430" 
o|inlining procedure: k1767 
o|inlining procedure: k1767 
o|contracted procedure: "(scheduler.scm:398) g372373" 
o|inlining procedure: k996 
o|inlining procedure: k996 
o|inlining procedure: k1018 
o|inlining procedure: k1018 
o|contracted procedure: k1057 
o|inlining procedure: k1054 
o|inlining procedure: k1054 
o|inlining procedure: k1076 
o|inlining procedure: k1076 
o|contracted procedure: "(scheduler.scm:180) update-thread-state-buffer" 
o|propagated global variable: ct161 ##sys#current-thread 
o|inlining procedure: k1130 
o|inlining procedure: k1130 
o|inlining procedure: k1225 
o|propagated global variable: ct239 ##sys#current-thread 
o|inlining procedure: k1225 
o|inlining procedure: k1256 
o|inlining procedure: k1256 
o|inlining procedure: k1274 
o|inlining procedure: k1274 
o|inlining procedure: k1291 
o|inlining procedure: k1312 
o|inlining procedure: k1312 
o|inlining procedure: k1291 
o|inlining procedure: k1363 
o|inlining procedure: k1363 
o|inlining procedure: k1520 
o|inlining procedure: k1531 
o|inlining procedure: k1531 
o|inlining procedure: k1520 
o|inlining procedure: k1550 
o|inlining procedure: k1550 
o|inlining procedure: k1584 
o|inlining procedure: k1584 
o|contracted procedure: "(scheduler.scm:345) abandon-mutexes" 
o|inlining procedure: k1401 
o|inlining procedure: k1401 
o|inlining procedure: k1467 
o|contracted procedure: "(scheduler.scm:328) g280287" 
o|inlining procedure: k1421 
o|inlining procedure: k1421 
o|inlining procedure: k1441 
o|contracted procedure: "(scheduler.scm:335) g294301" 
o|inlining procedure: k1441 
o|inlining procedure: k1467 
o|propagated global variable: pt363 ##sys#primordial-thread 
o|inlining procedure: k1880 
o|inlining procedure: k1880 
o|inlining procedure: k2210 
o|inlining procedure: k2226 
o|inlining procedure: k2226 
o|inlining procedure: k2247 
o|inlining procedure: k2247 
o|inlining procedure: k2210 
o|inlining procedure: k2303 
o|inlining procedure: k2303 
o|inlining procedure: k2330 
o|inlining procedure: k2357 
o|inlining procedure: k2357 
o|inlining procedure: k2330 
o|inlining procedure: k2384 
o|inlining procedure: k2384 
o|inlining procedure: k2470 
o|inlining procedure: k2470 
o|propagated global variable: ct627 ##sys#current-thread 
o|propagated global variable: primordial633 ##sys#current-thread 
o|inlining procedure: k2590 
o|inlining procedure: k2590 
o|inlining procedure: k2624 
o|inlining procedure: k2624 
o|propagated global variable: g654666 ##sys#fd-list 
o|inlining procedure: k2647 
o|inlining procedure: k2647 
o|propagated global variable: g644659 ##sys#timeout-list 
o|propagated global variable: primordial633 ##sys#current-thread 
o|replaced variables: 278 
o|removed binding forms: 184 
o|substituted constant variable: r11452671 
o|inlining procedure: k1154 
o|inlining procedure: k1154 
o|inlining procedure: k2188 
o|inlining procedure: k2188 
o|substituted constant variable: r10552701 
o|substituted constant variable: r10772706 
o|substituted constant variable: r22272768 
o|converted assignments to bindings: (suspend634) 
o|simplifications: ((let . 1)) 
o|replaced variables: 20 
o|removed binding forms: 292 
o|inlining procedure: k947 
o|inlining procedure: k1754 
o|replaced variables: 14 
o|removed binding forms: 33 
o|substituted constant variable: r9482894 
o|contracted procedure: k1655 
o|simplifications: ((let . 1)) 
o|replaced variables: 2 
o|removed binding forms: 16 
o|removed conditional forms: 1 
o|removed binding forms: 2 
o|simplifications: ((if . 17) (##core#call . 266)) 
o|  call simplifications:
o|    *
o|    +
o|    ##sys#call-with-current-continuation
o|    vector
o|    list	2
o|    ##sys#structure?	2
o|    >
o|    <
o|    chicken.fixnum#fx=	2
o|    set-cdr!	3
o|    equal?
o|    >=
o|    ##sys#setislot	18
o|    cdar	4
o|    not
o|    caar	7
o|    -	2
o|    chicken.fixnum#fx>
o|    zero?
o|    pair?	16
o|    eqv?	10
o|    cdr	28
o|    car	16
o|    ##sys#setslot	30
o|    null?	26
o|    eq?	16
o|    cons	16
o|    ##sys#slot	57
o|contracted procedure: k853 
o|contracted procedure: k881 
o|contracted procedure: k859 
o|contracted procedure: k869 
o|contracted procedure: k877 
o|contracted procedure: k908 
o|contracted procedure: k972 
o|contracted procedure: k962 
o|contracted procedure: k891 
o|contracted procedure: k898 
o|contracted procedure: k905 
o|contracted procedure: k1195 
o|contracted procedure: k1199 
o|contracted procedure: k1203 
o|contracted procedure: k1207 
o|contracted procedure: k1211 
o|contracted procedure: k1215 
o|contracted procedure: k1219 
o|contracted procedure: k953 
o|contracted procedure: k947 
o|contracted procedure: k1165 
o|contracted procedure: k1150 
o|contracted procedure: k1160 
o|contracted procedure: k981 
o|contracted procedure: k1931 
o|contracted procedure: k1934 
o|contracted procedure: k1942 
o|contracted procedure: k1948 
o|contracted procedure: k1957 
o|contracted procedure: k1970 
o|contracted procedure: k1973 
o|contracted procedure: k1976 
o|contracted procedure: k1979 
o|contracted procedure: k1985 
o|contracted procedure: k1992 
o|contracted procedure: k2001 
o|contracted procedure: k2007 
o|contracted procedure: k2018 
o|contracted procedure: k2025 
o|contracted procedure: k2037 
o|contracted procedure: k2040 
o|contracted procedure: k2043 
o|contracted procedure: k2049 
o|contracted procedure: k2056 
o|contracted procedure: k2168 
o|contracted procedure: k2164 
o|contracted procedure: k2160 
o|contracted procedure: k2135 
o|contracted procedure: k2138 
o|contracted procedure: k2148 
o|contracted procedure: k2152 
o|contracted procedure: k2156 
o|contracted procedure: k1797 
o|contracted procedure: k1800 
o|contracted procedure: k1806 
o|contracted procedure: k1809 
o|contracted procedure: k1815 
o|contracted procedure: k2116 
o|contracted procedure: k2075 
o|contracted procedure: k2078 
o|contracted procedure: k2181 
o|contracted procedure: k2191 
o|contracted procedure: k2194 
o|contracted procedure: k2201 
o|contracted procedure: k1667 
o|contracted procedure: k1670 
o|contracted procedure: k1675 
o|contracted procedure: k1681 
o|contracted procedure: k1684 
o|contracted procedure: k1690 
o|contracted procedure: k1693 
o|contracted procedure: k1700 
o|contracted procedure: k1703 
o|contracted procedure: k1710 
o|contracted procedure: k1746 
o|contracted procedure: k17612904 
o|contracted procedure: k1770 
o|contracted procedure: k1780 
o|contracted procedure: k1784 
o|contracted procedure: k987 
o|contracted procedure: k999 
o|contracted procedure: k1003 
o|contracted procedure: k1006 
o|contracted procedure: k1009 
o|contracted procedure: k1015 
o|contracted procedure: k1021 
o|contracted procedure: k1024 
o|contracted procedure: k1037 
o|contracted procedure: k1047 
o|contracted procedure: k1066 
o|contracted procedure: k1073 
o|contracted procedure: k1079 
o|contracted procedure: k1089 
o|contracted procedure: k1092 
o|contracted procedure: k1095 
o|contracted procedure: k1098 
o|contracted procedure: k1171 
o|propagated global variable: ct161 ##sys#current-thread 
o|contracted procedure: k1174 
o|contracted procedure: k1177 
o|contracted procedure: k1180 
o|contracted procedure: k1183 
o|contracted procedure: k1186 
o|contracted procedure: k1110 
o|contracted procedure: k1124 
o|contracted procedure: k1127 
o|contracted procedure: k1134 
o|contracted procedure: k1130 
o|contracted procedure: k1231 
o|contracted procedure: k1234 
o|contracted procedure: k1259 
o|contracted procedure: k1262 
o|contracted procedure: k1265 
o|contracted procedure: k1285 
o|contracted procedure: k1271 
o|contracted procedure: k1294 
o|contracted procedure: k1300 
o|contracted procedure: k1303 
o|contracted procedure: k1315 
o|contracted procedure: k1332 
o|contracted procedure: k1328 
o|contracted procedure: k1340 
o|contracted procedure: k1336 
o|contracted procedure: k1347 
o|contracted procedure: k1354 
o|contracted procedure: k1360 
o|contracted procedure: k1366 
o|contracted procedure: k1369 
o|contracted procedure: k1389 
o|contracted procedure: k1385 
o|contracted procedure: k1372 
o|contracted procedure: k1375 
o|contracted procedure: k1378 
o|contracted procedure: k1493 
o|contracted procedure: k1505 
o|contracted procedure: k1508 
o|contracted procedure: k1511 
o|contracted procedure: k1514 
o|contracted procedure: k1517 
o|contracted procedure: k1526 
o|contracted procedure: k1541 
o|contracted procedure: k1534 
o|contracted procedure: k1553 
o|contracted procedure: k1563 
o|contracted procedure: k1567 
o|contracted procedure: k1570 
o|contracted procedure: k1581 
o|contracted procedure: k1587 
o|contracted procedure: k1598 
o|contracted procedure: k1398 
o|contracted procedure: k1404 
o|contracted procedure: k1470 
o|contracted procedure: k1480 
o|contracted procedure: k1484 
o|contracted procedure: k1409 
o|contracted procedure: k1412 
o|contracted procedure: k1415 
o|contracted procedure: k1418 
o|contracted procedure: k1427 
o|contracted procedure: k1444 
o|contracted procedure: k1454 
o|contracted procedure: k1458 
o|contracted procedure: k1604 
o|contracted procedure: k1607 
o|contracted procedure: k1619 
o|contracted procedure: k1628 
o|contracted procedure: k1631 
o|propagated global variable: pt363 ##sys#primordial-thread 
o|propagated global variable: pt363 ##sys#primordial-thread 
o|contracted procedure: k1864 
o|contracted procedure: k1867 
o|contracted procedure: k1874 
o|contracted procedure: k1883 
o|contracted procedure: k1891 
o|contracted procedure: k1887 
o|contracted procedure: k1894 
o|contracted procedure: k1922 
o|contracted procedure: k1900 
o|contracted procedure: k1911 
o|contracted procedure: k1907 
o|contracted procedure: k1918 
o|contracted procedure: k2279 
o|contracted procedure: k2213 
o|contracted procedure: k2275 
o|contracted procedure: k2216 
o|contracted procedure: k2229 
o|contracted procedure: k2232 
o|contracted procedure: k2235 
o|contracted procedure: k2241 
o|contracted procedure: k2250 
o|contracted procedure: k2256 
o|contracted procedure: k2260 
o|contracted procedure: k2271 
o|contracted procedure: k2427 
o|contracted procedure: k2285 
o|contracted procedure: k2421 
o|contracted procedure: k2288 
o|contracted procedure: k2415 
o|contracted procedure: k2291 
o|contracted procedure: k2409 
o|contracted procedure: k2294 
o|contracted procedure: k2306 
o|contracted procedure: k2313 
o|contracted procedure: k2321 
o|contracted procedure: k2333 
o|contracted procedure: k2340 
o|contracted procedure: k2344 
o|contracted procedure: k2351 
o|contracted procedure: k2360 
o|contracted procedure: k2367 
o|contracted procedure: k2375 
o|contracted procedure: k2387 
o|contracted procedure: k2394 
o|contracted procedure: k2402 
o|contracted procedure: k2406 
o|contracted procedure: k2441 
o|contracted procedure: k2452 
o|contracted procedure: k2456 
o|contracted procedure: k2460 
o|contracted procedure: k2464 
o|contracted procedure: k2496 
o|contracted procedure: k2473 
o|contracted procedure: k2492 
o|contracted procedure: k2508 
o|propagated global variable: ct627 ##sys#current-thread 
o|contracted procedure: k2534 
o|contracted procedure: k2530 
o|contracted procedure: k2552 
o|contracted procedure: k2543 
o|contracted procedure: k2546 
o|contracted procedure: k2560 
o|contracted procedure: k2573 
o|contracted procedure: k2581 
o|contracted procedure: k2593 
o|contracted procedure: k2603 
o|contracted procedure: k2607 
o|contracted procedure: k2627 
o|contracted procedure: k2637 
o|contracted procedure: k2641 
o|contracted procedure: k2650 
o|contracted procedure: k2660 
o|contracted procedure: k2664 
o|propagated global variable: primordial633 ##sys#current-thread 
o|simplifications: ((let . 41)) 
o|removed binding forms: 238 
o|replaced variables: 71 
o|removed binding forms: 26 
o|contracted procedure: k911 
o|contracted procedure: k894 
o|propagated global variable: ct161 ##sys#current-thread 
o|propagated global variable: ct161 ##sys#current-thread 
o|removed binding forms: 2 
o|replaced variables: 2 
o|removed binding forms: 1 
o|removed binding forms: 1 
o|direct leaf routine/allocation: loop245 0 
o|converted assignments to bindings: (loop245) 
o|simplifications: ((let . 1)) 
o|customizable procedures: (g638658 for-each-loop637661 g648665 for-each-loop647684 for-each-loop670680 k2476 loop600 loop597 loop593 loop590 loop559 loop482 for-each-loop293304 for-each-loop279312 delq k1496 g328335 for-each-loop327338 k1318 loop254 k1044 ##sys#clear-i/o-state-for-thread! loop170 g386393 for-each-loop385425 loop378 loop2526 loop512 k935 loop1168 loop2186 loop147) 
o|calls to known targets: 80 
o|identified direct recursive calls: f_848 1 
o|identified direct recursive calls: f_1996 1 
o|identified direct recursive calls: f_1965 1 
o|identified direct recursive calls: f_994 1 
o|identified direct recursive calls: f_1254 1 
o|identified direct recursive calls: f_1878 1 
o|identified direct recursive calls: f_2224 1 
o|identified direct recursive calls: f_2355 1 
o|fast box initializations: 21 
o|fast global references: 30 
o|fast global assignments: 23 
o|dropping unused closure argument: f_2208 
o|dropping unused closure argument: f_842 
*/
/* end of file */
